XVM-7.6.7:
  [ОБЩЕЕ]
  * World of Tanks 1.0.2.2
  * добавлена отправка отчётов о вылетах

  [АНГАР]
  * исправлено пропадание виджетов после боя

  [РАЗНОЕ]
  * Переработано отображение пинга и онлайна в ангаре
  * Названия встроенных шрифтов теперь регистронезависимы
  * Добавлена проверка флага isDAAPIInited при загрузке flash-компонентов
  
  [УСТАНОВЩИК]
  * Из архива удален Microsoft Runtime (доступ для загрузки в виде отдельного архива)

XVM-7.6.6:
  [ОБЩЕЕ]
  * Версия пропущена по техническим причинам
  
XVM-7.6.5:
  [УСТАНОВЩИК]
  * Исправлено удаление XVM

  [РАЗНОЕ]
  * исправлена ошибка в функции "updateReserve"

XVM-7.6.4:
  [ОБЩЕЕ]
  * World of Tanks 1.0.2.1

  [ВЫЛЕТЫ]
  * добавлены исправления вылетов Autodesk Scaleform
  * исправлен вылет при включенном пинге или онлайне в ангаре
  * в комплект XVM включены обновленные версии Microsoft Universal CRT и Microsoft Visual C++ Redistributable
 
  [АНГАР]
  * добавлена секция "hangar"/"notificationCounter" - показывать/прятать счетчики уведомлений в главном меню
  * добавлены опции:
      "hangar"/"showCreateSquadButtonText" - показать текст "Создать взвод" на кнопке создания взвода
      "hangar"/"showBattleTypeSelectorText" - показать текст с названием выбранного режима боя
      "hangar"/"showPromoPremVehicle" - отключить отображение рекламы премиум техники (на фоне в ангаре)

  [БОЙ]
  * добавлены опции в секциях режимов "playersPanel":
      "rankBadgeAlpha" - прозрачность бейджа ранга

XVM-7.6.3:
  [АНГАР]
  * добавлена опция "hangar"/"restoreBattleType" - восстанавливать выбранный тип боя при переключении на другой сервер
  * новая опция в "hangar"/"pingServers" и "hangar"/"onlineServers":
      "currentServerFormat" - html формат для текущего сервера
  * удалена опция в "hangar"/"pingServers" и "hangar"/"onlineServers":
      "markCurrentServer" - заменена на "currentServerFormat"
  * добавлена опция "login"/"disabledServers" - не показывать заданные серверы в выпадающем списке серверов

  [РАЗНОЕ]
  * исправлено отображение всплывающих подсказок в бою
  * добавлена опция "tooltips"/"hideTooltips" - список всплывающих подсказок, которые необходимо спрятать
  * добавлена опция "tooltips"/"logLocalization" - логгировать все ключи локализации в файл xvm.log

XVM-7.6.2:
  [ОБЩЕЕ]
  * World of Tanks 1.0.1.1 nanopatch 2
  * переделана структура файлов кэша настроек, необходимо заново установить фильтры и танки в резерве.

  [XFW]
  * добавлено кэширование адресов функций клиента, что приводит у уменьшению времени загрузки клиента
  * улучшена совместимость с Python/C API

  [РАЗНОЕ]
  * исправления в фильтре резервов
  * отключено всплывающее окно при клике на пользователя в ушах

XVM-7.6.1:
  [ОБЩЕЕ]
  * World of Tanks 1.0.1.1

  [МАКРОСЫ НА PYTHON]
  * damageLog: отключен в режиме "Линия фронта"
  * damageLog: исправлена работа макросов {{costShell}} и {{c:costShell}}
  
  [РАЗНОЕ]
  * исправлено воспроизведение старых реплеев
  * исправлено положение таймера ремонта модулей в стандартной конфигурации
  * профиль игрока: исправлена колонка хТЕ
  * добавлена поддержка HTTP-прокси через переменную окружения XVM_HTTP_PROXY=http://[login:password@]domain.com:3128

XVM-7.6.0:
  [ОБЩЕЕ]
  * World of Tanks 1.0.1.0

  [АНГАР]
  * удалена опция "hangar"/"defaultBoughtForCredits" - больше не нужна.

  [МАРКЕРЫ]
  * добавлены настройки "damageIndicator" - индикатор урона (рикошет, критический урон, ...);
  * добавлены настройки "vehicleStatusMarker" - маркер оглушения и маркер боевого снаряжения
    в режиме "Линия фронта" (дымовая завеса, воодушевление, инженерный отряд);
  * удалены настройки "stunMarker" (заменены на "vehicleStatusMarker").

  [XFW]
  * исправлена поддержка языков с иероглифическим письмом (китайский, корейский, японский);
  * исправлена работа модуля ctypes.

XVM-7.5.6:
  [ОБЩЕЕ]
  * World of Tanks 1.0.0 микропатч 3

XVM-7.5.5:
  [ОБЩЕЕ]
  * World of Tanks 1.0.0 микропатч 2

XVM-7.5.4:
  [ОБЩЕЕ]
  * xUI переименован в XVM (предыдущее переименование было первоапрельской шуткой).

xUI-7.5.3:
  [ОБЩЕЕ]
  * XVM переименован в xUI

XVM-7.5.2:
  [XFW]
  * обновлен XFW.Native до 1.0.9-39

XVM-7.5.1:
  [ОБЩЕЕ]
  * World of Tanks 1.0.0 микропатч 1

  [МАКРОСЫ НА PYTHON]
  * добавлен макрос {{py:xvm.isImpact}}

XVM-7.5.0:
  [ОБЩЕЕ]
  * World of Tanks 1.0

  [ЗВУКИ]
  * новая опция "sounds"/"xvm_gunReloaded" - озвучка окончания перезарядки орудия.

  [АНГАР]
  * удалена опция "hangar/hangarType" и секция "hangar/camera".
    
  [МАКРОСЫ НА PYTHON]
  * damageLog: добавлен макрос {{hitTime}}

XVM-7.4.1:
  [ОБЩЕЕ]
  * World of Tanks 9.22 микропатч 1

  [XFW]
  * исправлена проверка на корректную загрузку C компонентов перед их использованием.

XVM-7.4.0:
  [ОБЩЕЕ]
  * World of Tanks 9.22

XVM-7.3.3:
  [ОБЩЕЕ]
  * World of Tanks 9.21.0.3

  [АНГАР]
  * новая опция "hangar"/"showGeneralChatButton" - показать кнопку "Общий чат".

  [ЗВУКИ]
  * новая опция "sounds"/"remote_communication option" - коммуникация между клиентом WoT и WWISE Authoring Tools.

  [РАЗНОЕ]
  * обновлена секция конфига "texts"/"battletype" с подстановками для макроса {{battletype}}.

XVM-7.3.2:
  [ОБЩЕЕ]
  * World of Tanks 9.21.0.2

  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный". Включите в настройках "улучшенную" графику для исправления этой проблемы.

XVM-7.3.1:
  [ОБЩЕЕ]
  * исправлен вылет при выходе из боя.

  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный". Включите в настройках "улучшенную" графику для исправления этой проблемы.

XVM-7.3.0:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * возможны вылеты игрового клиента при выходе из боя в ангар; 
  * для минимизации вылетов маркеры были отключены по-умолчанию. Вы по-прежнему можете вернуть их через опцию "markers/enabled" на свой страх и риск.
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный". Включите в настройках "улучшенную" графику для исправления этой проблемы.

  [ОБЩЕЕ]
  * World of Tanks 9.21.0.1

  [МАКРОСЫ]
  * отключены макросы {{v.wtr}}, {{v.xwtr}}, {{v.c_xwtr}}, {{v.a_xwtr}} в ангаре из-за сложной реализации
  * добавлены макросы в карусели:
      {{v.camouflageSummer}} - значение 'summer' если летний камуфляж установлен
      {{v.camouflageWinter}} - значение 'winter' если зимний камуфляж установлен
      {{v.camouflageDesert}} - значение 'desert' если пустынный камуфляж установлен
      {{v.camouflageCount}} - количество установленных камуфляжей
  * макросы для танка {{v.*}} работают в виджетах для текущего танка

  [ВИДЖЕТЫ]
  * mouseEvents можно использовать в ангарных виджетах

XVM-7.2.4:
  [ОБЩЕЕ]
  * World of Tanks 9.20.1.4

XVM-7.2.3:
  [ОБЩЕЕ]
  * World of Tanks 9.20.1.3

  [АНГАР]
  * переименованы опции в секциях "hangar"/"serverInfo":
      "shiftX" -> "offsetX"
      "shiftY" -> "offsetY"
  * переименованы опции в секциях "hangar"/"commonQuests":
      "shiftX" -> "offsetX"
      "shiftY" -> "offsetY"
  * переименованы опции в секциях "hangar"/"personalQuests":
      "shiftX" -> "offsetX"
      "shiftY" -> "offsetY"
  * переименованы опции в секциях "hangar"/"vehicleName":
      "shiftX" -> "offsetX"
      "shiftY" -> "offsetY"
  (hangar.xc)

  [РЕЙТИНГИ]
  * удалены секции конфига:
      "alpha"/"eff"
      "alpha"/"wn8"
      "alpha"/"wtr"
      "alpha"/"wgr"
      "colors"/"eff"
      "colors"/"wn8"
      "colors"/"wtr"
      "colors"/"wgr"
  (colors.xc, alpha.xc)
  * отключены оригинальные настройки цвета и прозрачности для рейтингов поскольку по умолчанию используется шкала XVM

  [МАКРОСЫ]
  * добавлены макросы в бою:
    {{vwtr}} - рейтинг WTR для текущей техники
    {{xvwtr}} - рейтинг WTR для текущей техники по шкале XVM
    {{c:xvwtr}}, {{a:xvwtr}} - динамический цвет и прозрачность для макроса {{xvwtr}}
  * добавлены макросы в ангаре:
    {{v.wtr}} - рейтинг WTR для текущей техники
    {{v.xwtr}} - рейтинг WTR для текущей техники по шкале XVM
    {{v.c_xwtr}}, {{v.a_xwtr}} - динамический цвет и прозрачность для макроса {{v.xwtr}}

  [МАКРОСЫ НА PYTHON]
  * damageLog: добавлены макросы {{xr}} и {{c:xr}}

XVM-7.2.2:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [РАЗНОЕ]
  * исправлены мелкие ошибки

XVM-7.2.1:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [ОБЩЕЕ]
  * World of Tanks 9.20.1.2

  [РАЗНОЕ]
  * обновлена секция конфига "texts"/"battletype" с подстановками для макроса {{battletype}}

XVM-7.2.0:
  [ОБЩЕЕ]
  * World of Tanks 9.20.1.1
  * изменен адрес сайта XVM: http://www.modxvm.com => https://modxvm.com
  * исправлен режим учебного полигона

XVM-7.1.0:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [ОБЩЕЕ]
  * World of Tanks 9.20.1

XVM-7.0.3:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [РАЗНОЕ]
  * исправлено множество ошибок

  [МАКРОСЫ]
    * добавлены макросы:
      {{xwr}}, {{c:xwr}}, {{a:xwr}},
      {{mystat.xwr}}, {{mystat.c_xwr}}, {{mystat.a_xwr}}

  [ПОДСКАЗКИ]
  * добавлено отображение подходящей техники в подсказках снарядов

XVM-7.0.2:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [РАЗНОЕ]
  * Улучшено определение версии XVM

XVM-7.0.1:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [БОЙ]
  * исправлена инициализация боя

XVM-7.0.0:
  [РЕЙТИНГИ]
  * добавлен рейтинг WTR
  * добавлены макросы:
      {{wtr}}, {{xwtr}}, {{c:wtr}}, {{c:xwtr}}, {{a:wtr}}, {{a:xwtr}},
      {{mystat.wtr}}, {{mystat.xwtr}}, {{mystat.c_wtr}}, {{mystat.c_xwtr}}
  * добавлены секции конфига:
      "alpha"/"wtr"
      "colors"/"wtr"
  * обновлены границы значений цвета и прозрачности для всех рейтингов
  * сделано автоматическое ежедневное обновление границ значений цвета и прозрачности для шкалы XVM.
  * удален рейтинг WN6
  * удалены макросы:
      {{wn6}}, {{xwn6}}, {{c:wn6}}, {{c:xwn6}}, {{a:wn6}}, {{a:xwn6}},
      {{mystat.wn6}}, {{mystat.xwn6}}, {{mystat.c_wn6}}, {{mystat.c_xwn6}}
  * удалены секции конфига:
      "alpha"/"wn6"
      "colors"/"wn6"

  [РАЗНОЕ]
  * обновлена секция конфига "texts"/"battletype" с подстановками для макроса {{battletype}}

  [МАКРОСЫ НА PYTHON]
  * добавлены макросы {{py:upper('str')}}, {{py:lower('str')}}, {{py:capitalize('str')}} и {{py:title('str')}}

XVM-6.9.1.1:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [РАЗНОЕ]
  * обход ложного срабатывания Baidu antivirus

XVM-6.9.1:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [ОБЩЕЕ]
  * исправлен режим учебного полигона
  * частичная поддержка режима "Генеральное сражение" (загрузка боя, статистика по таб и
    уши не реализованы)
  * исправлено множество ошибок

  [XFW]
  * libpython: повышена совместимость с Python/C API
  * libpython: исправлена работоспособность некоторых функций Python/C API

  [МАРКЕРЫ]
  * исправлена опция "contourIcon"/"amount"

  [КАРУСЕЛЬ]
  * добавлены макросы:
    {{v.avgdmg}} - средний урон на танке (для активных за месяц игроков с 100+ боями на танке)
    {{v.topdmg}} - топовый урон на танке (позиция 100 из лучших игроков)
    {{v.avgfrg}} - средние фраги на танке (для активных за месяц игроков с 100+ боями на танке)
    {{v.topfrg}} - топовые фраги на танке (позиция 100 из лучших игроков)
  * исправлена неработоспособность карусели при выборе фильтра "без знака мастерства"

  [РАЗНОЕ]
  * исправлена работоспособность опции "tweaks/allowMultipleWotInstances"

XVM-6.9.0:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * учебный полигон: временно отключен. Запустите клиент в режиме "без модификаций" для входа в этот режим.
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [ОБЩЕЕ]
  * World of Tanks 9.20
  * обновлена полоса захвата

  [МАРКЕРЫ]
  * реализованы опции:
      "iconset"/"vehicleMarkerAllyAtlas"
      "iconset"/"vehicleMarkerEnemyAtlas"

  [МАКРОСЫ НА PYTHON]
  * изменены наименования макросов для панели счета (см. py_macros_ru.txt)
  * battleLabels: добавлено событие:
      ON_MY_HP_CHANGED - вызывается при изменении HP текущего танка

  [ПРОФИЛЬ]
  * добавлены опции в секции "userInfo":
      "profileStartPage" - начальная страница достижений текущего пользователя
      "contactsStartPage" - начальная страница достижений других игроков
  * удалена опция "userInfo"/"startPage"

XVM-6.8.2:
  [ОБЩЕЕ]
  * World of Tanks 9.19.1 микропатч 2

  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * учебный полигон: временно отключен. Запустите клиент в режиме "без модификаций" для входа в этот режим.
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [МАКРОСЫ НА PYTHON]
  * добавлен макрос {{py:xvm.color_rating(r, v)}}
  * totalEfficiency: добавлен макрос {{py:xvm.hitAlly}}

  [МИНИКАРТА]
  * добавлена опция "showCellClickAnimation" - позволяет отключить анимацию клика по ячейке

  [ВИДЖЕТЫ]
  * добавлены макросы {{mystat.*}} со значениями своей статистики
  * добавлено событие:
      ON_MY_STAT_LOADED - вызывается после загрузки своей статы, полезно для макросов {{mystat.*}}

XVM-6.8.1:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * учебный полигон: временно отключен. Запустите клиент в режиме "без модификаций" для входа в этот режим.
  * Windows XP: краш клиента при заходе в бой если режим графики установлен в положение "стандартный".

  [ОБЩЕЕ]
  * World of Tanks 9.19.1 микропатч 1

  [МАРКЕРЫ]
  * исправлено отображения для игроков, которым был установлен комментарий

  [КАРУСЕЛЬ]
  * исправлен возможный сброс настроек карусели после боя

  [УСТАНОВЩИК]
  * реализован поиск клиента WoT для Linux и macOS

XVM-6.8.0:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * учебный полигон временно не работает и отключен
  * краш клиента при заходе в бой если в качестве операционной системы используется Microsoft Windows XP.

  [ОБЩЕЕ]
  * World of Tanks 9.19.1

  [XFW]
  * обеспечена совместимость клиента с python-отладчиками на базе PyDebugAttach (например, Microsoft PTVS)

  [ЛОГ ПОЛУЧЕННЫХ ПОВРЕЖДЕНИЙ]
  * добавлен макрос {{type-shell-key}}

  [БОЙ]
  * добавлены макросы:
      {{battletype-key}} - название ключа таблицы типа текущего боя
      {{premium}}, {{my-premium}} - 'premium' для премиумной техники, пусто - для обычной
      {{hasBadges}} - 'true' если хотя бы у одного игрока в команде есть бейдж, иначе пусто
      {{friend}} - игрок находится в списке друзей
      {{ignored}} - игрок находится в списке игнора
      {{muted}} - у игрока заблокирован чат на время текущего боя
      {{chatban}} - у игрока заблокирован чат глобально модераторами WG

  [МИНИКАРТА]
  * добавлен параметр "selfIconColor" - цвет для стрелки выбранного танка

  [АНГАР]
  * макрос {{battletype-key}} можно использовать в ангаре

  [КАРУСЕЛЬ]
  * добавлены макросы:
      {{v.rankCount}} - полученный ранг в ранговых боях для танка
      {{v.rankSteps}} - количество завершенных шагов до следующего ранга на танке
      {{v.rankStepsTotal}} - общее количество шагов до следующего ранга на танке

  [УСТАНОВЩИК]
  * улучшено автоматическое определение местоположения клиента WoT

  [РАЗНОЕ]
  * удалены функции ротного режима (в связи с удалением из клиента)

XVM-6.7.4:
  [РАЗНОЕ]
  * исправлен уровень боев для техники 3-го уровня
  * исправлена совместимость с некоторыми антивирусами и отладчиками

  [АНГАР]
  * исправление отображения дня недели в дате

  [БОЙ]
  * добавлены уши, загрузка боя и статистика в ранговых боях
  * добавлены опции в секции battleLoading, battleLoadingTips и statisticForm:
      "removeRankBadgeIcon" - убрать отображение иконки бейджа ранга
  * добавлен новый тип поля "badge" в секциях режимов "playersPanel"/"standardFields"
  * добавлены опции в секциях режимов "playersPanel":
      "rankBadgeXOffsetLeft" - смещение координаты X для поля бейджа ранга
      "rankBadgeXOffsetRight" - смещение координаты X для поля бейджа ранга
      "rankBadgeWidth" - ширина поля бейджа ранга

  [ЛОГ ПОВРЕЖДЕНИЙ]
  * исправление множества ошибок

  [МАКРОСЫ]
  * добавлены макросы:
      {{rank-level}} - уровень ранга
      {{rankBadgeId}} - id бейджа ранга игрока
  * удалены макросы для события "Танковые асы"

XVM-6.7.3:
  [ОБЩЕЕ]
  * World of Tanks 9.19, микропатч от 08.06.2017

  [АНГАР]
  * добавлена опция "hangar/hangarType" со значениями: none (по умолчанию), "premium" и "basic"
  * добавлена секция "hangar/camera" с параметрами:
      "minDistance" - минимальное расстояние
      "maxDistance" - максимальное расстояние
      "startDistance" - начальное расстояние
      "zoomSensitivity" - чувствительность приближения камеры (меньше - медленнее)
  * сортировка параметров в файле hangar.xc
  * исправлена работа опции "defaultBoughtForCredits"
  * исправлено отображение свободного опыта в окне исследований

  [БОЙ]
  * исправлена работа макроса {{my-frags}}
  * исправлено исчезновение контурной подсветки танка
  * уменьшено влияние маркеров над техникой на производительность

  [РАЗНОЕ]
  * минимизировано влияние опции "autoReloadConfig" на производительность
  * использование языка клиента для локализации py_macro xvm.formatDate()
  * исправление ошибок совместимости с Windows XP и Wine

XVM-6.7.2:
  [ОБЩЕЕ]
  * World of Tanks 9.19, микропатч от 02.06.2017
  * исправлены некоторые мелкие ошибки

  [АНГАР]
  * исправлена работа опции "autoReloadConfig"
  * исправлено отображение окна с результатами боя

  [РАЗНОЕ]
  * добавлена новая опция:
    "tweaks/allowMultipleWotInstances": разрешает запуск двух и более клиентов WoT

XVM-6.7.1:
  [ОБЩЕЕ]
  * исправлен конфликт с другими модами, которые используют Actionscript.

  [АНГАР]
  * исправлено отображение сообщений XVM в окне уведомлений.

XVM-6.7.0:
  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * некорректное отображение ангара при установленой модификации ModsListAPI. Разработчики XVM и ModsListAPI уведомлены о проблеме и работают над её решением.

  [ОБЩЕЕ]
  * World of Tanks 9.19

  [ЛОГ ПОЛУЧЕННЫХ ПОВРЕЖДЕНИЙ]
  * добавлен макрос {{crit-device}} и секция "crit-device"

  [КАМЕРА]
  * новый параметр: "camera"/"noFlashBang" позволяет отключить красную вспышку когда враг попадает по вам
  * новый параметр: "camera"/"hideHint" позволяет скрыть подсказки перехода в осадный режим и смены режима прицеливания в стратегическом режиме
  * новый параметр: "camera"/"noCameraLimit" позволяет отключить предел вращения камеры в снайперском прицеле для техники с ограниченными УГН (углами горизонтальной наводки) орудия

XVM-6.6.5:
  [ОБЩЕЕ]
  * World of Tanks 9.18 микропатч

  [ЛОГ ПОЛУЧЕННЫХ ПОВРЕЖДЕНИЙ]
  * добавлен макрос {{stun-duration}}

  [МАКРОСЫ НА PYTHON]
  * totalEfficiency: добавлен макрос {{py:xvm.numberDamagedVehicles}}
  * добавлены макросы {{py:xvm.screenWidth}}, {{py:xvm.screenHeight}}, {{py:xvm.screenVCenter}} и {{py:xvm.screenHCenter}}

  [ЛОГ ПОЛУЧЕННЫХ ПОВРЕЖДЕНИЙ]
  * добавлена опция "enabled"

  [ELEMENTS]
  * обновлен список доступных параметров (elements.xc)

XVM-6.6.4:
  [BATTLE LABELS]
  * исправлен захват мыши

XVM-6.6.3:
  [ОБЩЕЕ]
  * международный релиз World of Tanks 9.18

  [КАМЕРА]
  * новый параметр: "camera"/"sniper"/"noBinoculars" позволяет отключить затемнение и озеленение в снайперском прицеле

  [СТАТИСТИКА]
  * обновлены базы xTE и xtdb

XVM-6.6.2:
  [УСТАНОВЩИК]
  * исправлен выбор нового пути установки

  [XFW]
  * улучшена поддержка языков с иероглифическим письмом (китайский, корейский, японский)

  [АНГАР]
  * исправлено отображение часов для языков с иероглифическим письмом

XVM-6.6.1:
  [УСТАНОВЩИК]
  * исправлена установка в случае если XVM уже был установлен

  [ДРУГОЕ]
  * восстановлены пропавшие локализации
  * обновлён шрифт XVM-Symbol.ttf
  * исправлены уровни боёв для легких танков
  * исправлены опечатки в коротких наименованиях танков
  * добавлено повреждение оглушением в панель эффективности

XVM-6.6.0:
  [ОБЩЕЕ]
  * адаптация к World of Tanks 9.18

  [XFW]
  * перенос части функциональности (пинг, XInput) из XVM в XFW
  * частичный переход на формат пакетов .wotmod
  * XFW теперь может быть использован без XVM

  [ПОДСКАЗКИ]
  * Обновлен список доступных параметров (tooltips.xc)

  [ЛОГ ПОЛУЧЕННЫХ ПОВРЕЖДЕНИЙ]
  * значение 'alive' макроса {{my-alive}} переименовано в 'al'
  * добавлены макросы {{wn6}}, {{xwn6}}, {{r}}, {{c:wn6}}, {{c:xwn6}}, {{c:r}}

  [МАКРОСЫ НА PYTHON]
  * totalEfficiency: добавлены макросы {{py:xvm.totalStun}}, {{py:xvm.isStuns}}, {{py:xvm.numberStuns}}

  [ВИДЖЕТЫ]
  * добавлена новая функция - виджеты на логине и в лобби
    в данный момент реализованы только виджеты типа "extrafields"
    конфигурационные файлы: widgets.xc, widgetsTemplates.xc
    ссылки в login.xc, hangar.xc

  [BATTLE LABELS]
  * можно использовать параметр "layer" в battleLabels

  [УСТАНОВЩИК]
  * улучшение в алгоритме нахождения пути к установленному клиенту

  [АНГАР]
  * часы в ангаре перенесены в виджеты
  * удален файл конфига "clock.xc" и ссылки на него
  * удалена опция userInfo/sortColumn, т.к. встроена в клиент с 0.9.18

  [МАРКЕРЫ]
  * добавлены настройки "stunMarker" для маркера оглушения

  [КАРУСЕЛЬ]
  * добавлены настройки "fields"/"infoImg"
  * в настройки текстовых полей в секции "fields" добавлены параметры "textFormat" и "shadow"

XVM-6.5.7:
  [ОБЩЕЕ]
  * адаптация к микропатчу 23.03.2017

  [КАРУСЕЛЬ]
  * переименованы параметры: "damageAvgPerMinute" -> "avgDamagePerMinute", "damageAvg" -> "avgDamage"
  * исправлены всплывающие подсказки

  [МИНИКАРТА]
  * изменена отрисовка круга "artillery":
      радиус круга расчитывается для техники стоящей на горизонтально поверхности, с учетом максимального угла подъема орудия

  [АНГАР]
  * добавлены опции hangar/pingServers/bgImage и hangar/onlineServers/bgImage

XVM-6.5.6:
  [XFW]
  * комбинация клавиш для вызова консоли изменена на Ctrl+Alt+~

  [АНГАР]
  * исправлена загрузка ангара после боя
  * исправлено отображение критических попаданий в послебоевой статистике
  * исправлено отображение опыта для премиумных танков в послебоевой статистике
  * исправлено отображение шансов на победу в послебоевой статистике

  [МАКРОСЫ НА PYTHON]
  * добавлен макрос {{py:xvm.dynamic_color_rating(rating, value)}}
  * totalEfficiency: исправлена работа макросов {{py:xvm.crits}} и {{py:xvm.detection}}
  * repairTime: исправлено залипание таймеров при переключении в режим наблюдателя
  * damageLog: исправлена опция "moveInBattle"
  * damageLog: исправлено использование макросов в параметрах "х" и "у"

XVM-6.5.5:
  [ОБЩЕЕ]
  * проведена адаптация для WoT 0.9.17.1
  * улучшена поддержка экранов с высокой плотностью точек для Microsoft Windows Vista или новее
  * исправлено множество ошибок

  [XFW]
  * перенос части функциональности (загрузка банков, работоспособность Microsoft Windows XP) из XVM в XFW
  * проведение работ по устранению зависимости XFW от XVM
  * добавлена Python-консоль (основана на py4wot от Hedger). Для включения используйте сочетание Alt + ~.

  [XMQP]
  * игнорирование кликов и линий от блокируемых игроков
  * сохранение данных в реплее

  [ЛОГ ПОВРЕЖДЕНИЙ]
  * исправлена работа для отключеных игроков
  * удалена опция "saveLocationInBattle"
  * добавлена новая опция в секциях "damageLog"/"log" и "damageLog"/"lastHit":
      "moveInBattle" - разрешить перемещение battleLabels мышью в бою

  [МАРКЕРЫ]
  * добавлено масштабирование изображений для экстраполей

  [МИНИКАРТА]
  * сохранение данных о кругах в реплее
  * исправление отрисовки кругов "motion" и "blindarea_motion"

  [КАРУСЕЛЬ]
  * добавлены новые опции в секциях "carousel"/"normal"/"fields" и "carousel"/"small"/"fields":
      "stats" - настройки для поля статистики, отображаемого при наведении мыши
      "favorite" - маркер основной техники
  * добавлена поддержка горячих клавиш для экстраполей
  * добавлены иконки для фильтров

  [ЗАГРУЗКА БОЯ]
  * реализована опция "highlightVehicleIcon"

  [ВЗВОДЫ]
  * исправлен расчёта уровня боёв
  * исправлена работа динамический взводов

  [МАКРОСЫ]
  * разрешено форматирование для рекурсивных макросов, вроде `{{{{py:random.randint()}}==0?zero|one}}`

  [МАКРОСЫ НА PYTHON]
  * добавлена функция xvm.utils.smooth_transition_color()
  * добавлен перечень доступных макросов с их описанием (/res_mods/mods/shared_resources/xvm/docs/py_macros.txt)

XVM-6.5.4:
  * адаптация для WoT 0.9.17.0.3
  * исправлено множество ошибок

XVM-6.5.3-CIS:
  * ТОЛЬКО ДЛЯ СНГ КЛАСТЕРА
  * исправления на глобальной карте
  * добавлены новые опции в секцию "hangar":
      "commonQuests" - показать/спрятать кнопку общих задач, или изменить ее параметры
      "personalQuests" - показать/спрятать кнопку персональных задач, или изменить ее параметры
      "vehicleName" - показать/спрятать название, тип и уровень текущего танка, или изменить их параметры

XVM-6.5.2-CIS:
  * ТОЛЬКО ДЛЯ СНГ КЛАСТЕРА
  * адаптация для WoT 0.9.17.0.2

XVM-6.5.2:
  * адаптирован экран загрузки
  * переименованы параметры в секции "iconset" и изменено значение с каталога на название атласа:
      "battleLoadingAlly" => "battleLoadingLeftAtlas"
      "battleLoadingEnemy" => "battleLoadingRightAtlas"

XVM-6.5.1.1:
  * исправлена ошибка, приводящая к неверному определению текущей версии XVM

XVM-6.5.1:
  * исправлено переключение техники кликами по миникарте
  * обновлены значения xTE
  * исправлено множество ошибок

XVM-6.5.0.1:
  * адаптация для WoT 0.9.17.0.1

XVM-6.5.0:
  [МАКРОСЫ]
  * добавлен глобальный макрос:
      {{my-alive}} - мой танк жив

  [РАЗНОЕ]
  * адаптация для WoT 0.9.17
  * удален параметр "token/cnt" в файлах локализации (больше не используется)
  * исправлено множество ошибок

XVM-6.4.10:
  * добавлены макросы для события "Танковые асы":
      {{top_tankers_rank}} - позиция игрока в игровом событии "Танковые асы" на текущем танке
      {{top_tankers_emblem}} - эмблема для позиции игрока в игровом событии "Танковые асы" на текущем танке
  * добавлена опция:
      "hangar"/"notificationsButtonType" - поведение кнопки оповещений системного канала при новых оповещениях

XVM-6.4.9.1:
  [УСТАНОВЩИК]
  * исправлена ошибка, препятствующая корректной сборке установщика

XVM-6.4.9:
  [DAMAGE LOG]
  * удален таймер перезарядки в виду новой политики "честной игры"

  [РАЗНОЕ]
  * часть XVM теперь распространяется в виде исходного кода (файлы Python, .py)

  [КАРУСЕЛЬ]
  * добавлена опция:
      "enableLockBackground" - поставить false, чтобы отключить фон для заблокированной техники

  [ЗВУКИ]
  * восстановлена функциональность модуля настройки дополнительных звуков (файл sounds.xc)

XVM-6.4.8:
  [XMQP]
  * начальная реализация
  * добавлены опции:
      "minimapDrawLineThickness" - толщина линий в рисовании по миникарте
      "minimapDrawAlpha" - прозрачность рисования по миникарте
  * переименованы опции:
      "minimapClicksTime" => "minimapDrawTime"
      "minimapClicksColor" => "minimapDrawColor"

  [XFW]
  * добавлена поддержка Python C Extensions (.pyd)
  * загрузка нескомпилированных в байткод модификаций на базе XFW (/mods/packages/)
  * исправлена работа ctypes

  [РАЗНОЕ]
  * исправлено множество ошибок

  [ДОКУМЕНТАЦИЯ]
  * добавлено описание для параметров используемых при настройке экстра полей (см. extra-field_ru.txt)

XVM-6.4.7.1:
  * исправлена опция "crewMaxPerksCount"

XVM-6.4.7:
  [DAMAGE LOG]
  * добавлен "damageLog", реализованный на py_macro
      Тема на форуме: http://www.koreanrandom.com/forum/topic/35169-damagelog/
  * добавлена новая секция "damageLog"
  * добавлены новые элементы в секции "battleLabels" и "battleLabelsTemplates":
      "damageLog" - лог с полученными игроком попаданиями/уроном
      "timerReload" - сообщение с таймером с момента последнего получения урона
      "lastHit" - всплывающее сообщение с полученными игроком попаданиями/уроном

  [PY_MACRO]
  * скобки для функций без аргументов могут быть опущены
  * реализовано форматирование макросов
  * в battle labels добавлены события мыши, которые могут быть
    обработаны в py_macro с помощью функции as_callback(event_name):
      "mouseEvents":
        "click" - событие отправляется при клике мышкой внутри поля
        "mouseDown" - событие отправляется при нажатии кнопки мышки внутри поля
        "mouseUp" - событие отправляется при отжатии кнопки мышки внутри поля
        "mouseOver" - событие отправляется при перемещении курсора мыши на поле
        "mouseOut" - событие отправляется при перемещении курсора мыши из поля
        "mouseMove" - событие отправляется при перемещении курсора мыши внутри поля
        "mouseWheel" - событие отправляется при прокручивании колеса мыши внутри поля

  [АНГАР]
  * в секциях "clock", "pingServers", "onlineServers" опция "topmost" заменена на "layer"
  * добавлены новые опции в секции "hangar":
      "showBuyPremiumButton" - показать кнопку "Купить премиум"
      "showPremiumShopButton" - показать кнопку "Премиум магазин"
      "crewMaxPerksCount" - количество перков, которые отображаются без группировки
  * исправлен макрос {{v.elite}} в карусели
  * добавлены новые опции в секции "carousel"/"normal"/"fields" и "carousel"/"small"/"fields":
      "flag" - флаг нации
      "tankIcon" - иконка танка

  [РАЗНОЕ]
  * исправлена опция "minimapDeadSwitch"
  * добавлены глобальные макросы:
      {{my-clan}} - мой клан

XVM-6.4.6.2:
  * исправлено восстановление начального размера миникарты

XVM-6.4.6.1:
  * исправлено уведомление о тестовой версии

XVM-6.4.6:
  * адаптация к WoT 0.9.16
  * исправлена совместимость модификаций для WorldOfTanks с Microsoft Windows NT 5.x (XP, XP 64-bit, Server 2003)
  * добавлено значение по умолчанию для опции "carousel"/"rows": 0 - использовать настройки клиента
  * добавлены новые опции в секции "carousel":
      "cellType" - вид ячеек - "default" (в зависимости от размера окна), "normal" (обычные), "small" (маленькие)
  * добавлены новые секции в секции "carousel":
      "normal" - настройки ячеек карусели обычного размера
      "small" - настройки ячеек маленького размера
  * секции "padding", "fields" и "extraFields" перенесены из "carousel" в
    "carousel"/"normal" и "carousel"/"small" чтобы позволить их настраивать отдельно
  * добавлены новые опции в секции "carousel"/"normal" и "carousel"/"small":
      "width" - ширина ячейки
      "height" - высота ячейки
  * опция "carousel"/"zoom" удалена ("width" и "height" позволяют делать то же самое)
  * секция "padding" заменена на опцию "gap"
  * созданы отдельные файлы для разных типов ячеек карусели: "carouselNormal.xc", "carouselSmall.xc"
  * battleLabels: добавлены события:
      PY(event_name)  - событие из питона, отправленное через as_event(event_name)

  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * отключен по умолчанию модуль: Настройки дополнительных звуков. (будет доработан в будущих релизах)

XVM-6.4.5.1:
  * исправлено падение клиента при не пустой секции "minimap"/"circles"/"special"

XVM-6.4.5:
  * реализованы круги на миникарте
  * переименованы опции в секциях "minimap" и "minimapAlt" (с инвертированными значениями):
      "useStandardCircles" -> "circlesEnabled"
      "useStandardLabels" -> "labelsEnabled"
      "useStandardLines" -> "linesEnabled"
  * добавлена опция "statisticForm"/"removePlayerStatusIcon" - убрать отображение иконки статуса игрока

XVM-6.4.4:
  * реализованы линии на миникарте (круги пока еще нет)

XVM-6.4.3:
  * адаптация к WoT 0.9.15.2
  * реализованы надписи на миникарте (круги и линии пока еще нет)
  * добавлены новые элементы в секции "battleLabels" и "battleLabelsTemplates":
      "avgDamage" - средний урон на текущей технике
      "mainGun" - порог необходимый для получения достижения "Основной калибр"
  * добавлены опции в секциях "minimap" и "minimapAlt":
      "selfIconScale" - масштаб своей иконки
      "directionTriangleAlpha" - прозрачность зеленого треугольника направления камеры
      "directionLineAlpha" - прозрачность стандартного луча направления камеры
      "zoom"/"index" - значение масштаба миникарты при нажатии клавиши масштаба
  * удалены опции в секциях "minimap" и "minimapAlt":
      "hideCameraTriangle"
      "cameraAlpha"
      "zoom"/"pixelsBack"
  * переименованы опции в секциях "minimap" и "minimapAlt":
      "showCameraLineAfterDeath" => "showDirectionLineAfterDeath"
  * изменено поведение параметров выравнивания в экстра полях:
      "align"               - горизонтальное выравнивание текстового поля относительно его позиции
      "valign"              - вертикальное выравнивание текстового поля относительно его позиции
      "textFormat"/"align"  - горизонтальное выравнивание текста текста внутри поля
      "textFormat"/"valign" - вертикальное выравнивание текста внутри поля
  * добавлены опции в секциях режимов "playersPanel":
      "squadIconAlpha" - прозрачность иконки взвода

XVM-6.4.2.1:
  * исправлен Alt режим в стандартных маркерах

XVM-6.4.2:
  * добавлены опции в секциях режимов "playersPanel":
      "fragsShadowLeft", "fragsShadowRight" - тень для поля фрагов
      "nickShadowLeft", "nickShadowRight" - тень для поля имени игрока
      "vehicleShadowLeft", "vehicleShadowRight" - тень для поля названия танка
      "fixedPosition" - true - не изменять позиции игроков при уничтожении (по умолчанию false)
  * добавлены опции в режиме "playersPanel"/"none":
      "inviteIndicatorAlpha" - прозрачность индикатора приглашения в динамический взвод
      "inviteIndicatorX" - позиция X индикатора приглашения в динамический взвод
      "inviteIndicatorY" - позиция Y индикатора приглашения в динамический взвод
  * ping: исправлена утечка памяти при включенном пинге в ангаре, которая могла возникнуть на устаревших версиях Windows
  * ping: для работы под Wine больше не требуется дополнительная настройка
  * battleLoading: добавлены extraFields
  * battleLabels: добавлены события:
      ON_TARGET_IN  - при наведении на танк
      ON_TARGET_OUT - при наведении не на танк
      ON_PANEL_MODE_CHANGED
      ON_EVERY_FRAME           * может понизить производительность
      ON_EVERY_SECOND          * может понизить производительность
  * добавлены глобальные макросы:
      {{pp.mode}}       - текущий режим ушей (0-none, 1-small, 2-medium, 3-medium2, 4-large)
      {{pp.widthLeft}}  - текущая ширина левых ушей
      {{pp.widthRight}} - текущая ширина правых ушей

XVM-6.4.1.1:
  * исправлена миникарта (Только совместимость. Расширенная функциональность ещё не реализована.)

XVM-6.4.1:
  * адаптация к WoT 0.9.15.1
  * исправлены некоторые ошибки
  * statisticForm: добавлены extraFields
  * карусель: восстановлена многорядность
  * карусель: добавлена сортировка по markOfMastery, xtdb, xte, damageRating и marksOnGun
  * добавлена опция в секции "battleLoading" и "statisticForm":
      "vehicleIconAlpha" - прозрачность в процентах иконки танка
  * добавлены макросы:
      {{allyStrengthStatic}} - сила команды союзников (статическая)
      {{enemyStrengthStatic}} - сила команды противников (статическая)
      {{allyStrengthLive}} - сила команды союзников (динамическая)
      {{enemyStrengthLive}} - сила команды противников (динамическая)

XVM-6.4.0:
  * адаптация к WoT 0.9.15.1
  * полная переделка боевых модов (миграция AS2->AS3)
  * маркеры и хитлог: параметр тени "size" переименован в "blur"
    теперь все настройки тени имеют стандарные параметры:
      "enabled", "distance", "angle", "color", "alpha", "blur", "strength"
  * переименованы параметры:
      "playersPanel"/"medium"/"formatLeft" => "playersPanel"/"medium"/"nickFormatLeft"
      "playersPanel"/"medium"/"formatRight" => "playersPanel"/"medium"/"nickFormatRight"
      "playersPanel"/"medium2"/"formatLeft" => "playersPanel"/"medium2"/"vehicleFormatLeft"
      "playersPanel"/"medium2"/"formatRight" => "playersPanel"/"medium2"/"vehicleFormatRight"
      "camera"/"arcade"/"dynamicCameraEnabled" => "camera"/"arcade"/"shotRecoilEffect"
      "camera"/"postmortem"/"dynamicCameraEnabled" => "camera"/"postmortem"/"shotRecoilEffect"
      "camera"/"strategic"/"dynamicCameraEnabled" => "camera"/"strategic"/"shotRecoilEffect"
      "camera"/"sniper"/"dynamicCameraEnabled" => "camera"/"sniper"/"shotRecoilEffect"
  * удалены параметры (больше не требуются):
      "battle"/"allowSpottedStatus"
      "battle"/"allowHpInPanelsAndMinimap"
      "battle"/"allowMarksOnGunInPanelsAndMinimap"
      "carousel"/"alwaysShowFilters"
  * переименованы параметры в секции "iconset" и изменено значение с каталога на название атласа:
      "playersPanelAlly" => "playersPanelLeftAtlas"
      "playersPanelEnemy" => "playersPanelRightAtlas"
      "statisticFormAlly" => "fullStatsLeftAtlas"
      "statisticFormEnemy" => "fullStatsRightAtlas"
      "vehicleMarkerAlly" => "vehicleMarkerAllyAtlas"
      "vehicleMarkerEnemy" => "vehicleMarkerEnemyAtlas"
  * добавлен макрос {{clanicon}} со значением пути эмблемы клана
  * удалена опция "clanIcon" в секциях "battleLoading", "battleLoadingTips", "statisticForm", "playersPanel" и в маркерах
  * добавлены опции во все режимы в секции "playersPanel":
      "standardFields" - отображаемые стандартные поля в данном режиме, и их порядок.
                         допустимые названия: "frags", "vehicle", "nick".
      "fragsWidth" - ширина поля фрагов
      "vehicleWidth" - ширина поля названия танка
      "nickMinWidth" - минимальная ширина поля имени игрока
      "nickMaxWidth" - максимальная ширина поля имени игрока
      "expandAreaWidth" - ширина области переключения в режим "large" при наведении мыши
      "vehicleIconXOffsetLeft" - смещение координаты X для иконки танка для левой стороны
      "vehicleIconXOffsetRight" - смещение координаты X для иконки танка для правой стороны
      "vehicleLevelXOffsetLeft" - смещение координаты X для уровня танка для левой стороны
      "vehicleLevelXOffsetRight" - смещение координаты X для уровня танка для правой стороны
      "fragsXOffsetLeft" - смещение координаты X для поля фрагов для левой стороны
      "fragsXOffsetRight" - смещение координаты X для поля фрагов для правой стороны
      "nickXOffsetLeft" - смещение координаты X для поля имени игрока для левой стороны
      "nickXOffsetRight" - смещение координаты X для поля имени игрока для правой стороны
      "vehicleXOffsetLeft" - смещение координаты X для поля названия танка для левой стороны
      "vehicleXOffsetRight" - смещение координаты X для поля названия танка для правой стороны
  * удалены опции в секции "playersPanel":
     "short"/"width"
     "medium"/"width"
     "medium2"/"width"
     "large"/"width"
  * индикатор зума камеры реализован как дополнительное поле со всеми его опциями
  * в часах используется php форматирование (http://php.net/date)
  * в секции "battle"/"elements" можно использовать глобальные макросы, включая {{py:f()}})
  * изменено значение "carousel"/"scrollingSpeed", теперь это множительн значения по умолчанию
  * опция "markers"/"useStandardMarkers" переименована в "markers"/"enabled"
  * опция "markers"/*/"vehicleIcon"/"scaleX" переименована в "offsetX"
  * опция "markers"/*/"vehicleIcon"/"scaleY" переименована в "offsetY"
  * значение по умолчанию для "vehicleIcon"/"offsetY" изменено с 16 на 0
  * формат конфига текстовых полей в маркерах и battleLabels изменен на
    общий формат конфига для дополнительных полей
  * опция "visible" везде изменена на "enabled" для однообразия
  * удалена опция "hotkeys"/"battleLabelsHotKeys" - не требуется
  * удалена опция "battle"/"allowLabelsOnBattleInterface" - не требуется
  * изменена привязка координат для опции "bindToIcon" в дополнительных полях
  * изменены макросы хитлога - добавлен префикс "hitlog." (см. macros_ru.txt)
  * удалена секция "hpLeft" - используйте макросы {{hp*}}
  * добавлен макрос {{comment}}, отображающий комментарий к игроку из контактов
  * добавлена опция "battle"/"sixthSenseDuration" - длительность отображения индикатора 6-го чувства
  * удалена опция "hitLog"/"direction" - не требуется

  [ИЗВЕСТНЫЕ ПРОБЛЕМЫ]
  * миникарта ещё не готова, большая часть функциональности может не работать (будет исправлено в будущих релизах)
  * карусель танков: многорядность не реализована (отложено, возможно будет реализовано WG)
  * некоторые функции работают некорректно при включённой автоперезагрузке конфига
  * в разделе достижений список техники автоматически открывается на середине при некоторых настройках сортировки

XVM-6.3.2.1:
  * исправлен звук лампочки шестого чувства
  * исправлены фильтры в карусели

XVM-6.3.2:
  * обновление для микропатча WoT 0.9.15.0.1
  * изменен диапазон значений параметра "shadow"/"alpha" с 0..1 до 0..100 в экстра полях
    карусели и ушей

XVM-6.3.1.1:
  * обновление для микропатча WoT 0.9.15 #30
  * добавлена опция "tooltips"/"hideSimplifiedVehParams" - спрятать упрощенные ТТХ
  * tooltips:
      добавлены параметры:
        "invisibilityStillFactor" - Незаметность неподвижной машины (%)
        "invisibilityMovingFactor" - Незаметность машины в движении (%)
      удален параметр:
        "camo_coeff"

XVM-6.3.1:
  * исправление ошибок
  * индикатор общего HP команд реализован с помощью battleLabels и py_macro
  * py_macro: изменено определение экспорта функций:
      было:  @xvm.export('xvm', 'xvm2sup')
      стало: @xvm.export('xvm.xvm2sup')
  * py_macro: в определение экспорта добавлен аргумент 'deterministic', помечающий функцию
      как детерминированную, или нет (по умолчанию deterministic=True)
  * переделаны фильтры карусели

  [ИСПРАВЛЕНИЯ]
  * исправлена опция "useStandardLabels"

  [КОНФИГ]
  * удалены опции:
      "minimap"/"circles"/"enabled" - дублирует "minimap"/"useStandardCircles"
      "minimap"/"lines"/"enabled"   - дублирует "minimap"/"useStandardLabels"
      "minimap"/"labels"/"enabled"  - дублирует "minimap"/"useStandardLines"
  * перемещена опция настройки цвета для индикатора общего HP команд:
      "battle"/"totalHP"/"colors" > "colors"/"totalHP"
  * удалена устаревшая секция конфига "battle"/"totalHP"

XVM-6.3.0:
  * адаптация к WoT 0.9.15

  [ВАЖНЫЕ ИЗМЕНЕНИЯ]
  * добавлен новый тип макросов - динамические макросы, которые выполняют расчет в питоне:
    python-функции загружаются из res_mods/configs/py_macro/*.py с декоратором @xvm.export(a, b)
    Например, получить процент превосходства по значению xTE:
      {{py:xvm.xvm2sup('{{xte}}')|==}}
    res_mods/configs/py_macro/xvm.py:
        xvm2sup = [...]
        @xvm.export('xvm', 'xvm2sup')
        def XvmScaleToSup(x=None):
            if x is None or x == '':
                return None
            x = 100 if x == 'XX' else int(x)
            return xvm2sup[max(0, min(100, x-1))]
  * секция конфига "captureBar" полностью переделана, без обратной совместимости
  * изменены названия макросов полосы захвата, добавлены возможности форматирования

  [КОНФИГ]
  * удалена опция "camera"/"noScroll" - реализована в клиенте
  * удалена опция "login"/"skipIntro" - реализована в клиенте
  * новая опция "sounds"/"xvm_battleEnd_*" - звуковые оповещения сообщающие о скором завершении боя
  * новый файл "xmqp.xc" для настроек сервисов XMQP

  [XMQP]
  * точечные клики по миникарте

XVM-6.2.2:
  [ВАЖНЫЕ ИЗМЕНЕНИЯ]
  * добавлены новые секции "battleLabels", "battleLabelsTemplates" для пользовательских текстовых полей в окне боевого интерфейса
  * новый сервис xmqp - обмен данными между игроками (экспериментальная функция):
    новые макросы:
      {{x-enabled}} - у игрока активирован сервис xmqp
      {{x-sense-on}} - у игрока изучен перк "шестое чувство"
      {{x-spotted}} - танк игрока обнаружен
      {{x-fire}} - пожар в танке
      {{x-overturned}} - танк игрока перевернут
      {{x-drowning}} - танк игрока тонет

  [КОНФИГ]
  * добавлена опция "battle"/"allowLabelsOnBattleInterface" - показывать пользовательские текстовые поля в окне боевого интерфейса
  * добавлена опция "hotkeys"/"battleLabelsHotKeys" - использование горячих клавиш в пользовательских текстовых полях в окне боевого интерфейса

  [МАКРОСЫ]
  * добавлен макрос {{chancesStatic}} - шанс на победу в бою (статический)
  * добавлен макрос {{chancesLive}} - шанс на победу в бою (динамический)

XVM-6.2.1.2:
  * адаптация к WoT 0.9.14.1
  * добавлена опция "camera"/"startZoom" - начальное значение кратности (null - последнее использовавшееся значение)
  * добавлены макросы {{xtdb}}, {{c:xtdb}}, {{a:xtdb}}, {{v.xtdb}}, {{v.c_xtdb}} - средний урон по шкале XVM

XVM-6.2.1.1:
  * улучшения и исправление ошибок
  * показывать процент превосходства для xTE в достижениях
  * секция "sounds" полностью переписана
  * добавлена секция "battle"/"totalHP"
  * в настройки текстовых полей миникарты добавлена опция "enabled" с поддержкой глобальных макросов

XVM-6.2.1:
  * адаптация к WoT 0.9.14
  * макрос {{cellsize}} можно использовать так же, как и другие глобальные макросы
  * добавлены новые опции:
      "minimap"/"useStandardCircles" - использовать стандартные круги
      "minimap"/"useStandardLabels" - использовать стандартные надписи
      "minimap"/"useStandardLines" - использовать стандартные линии
      "tooltips"/"fontSize" - размер шрифта во всплывающих подсказках к танкам
      "tooltips"/"fontName" - название шрифта во всплывающих подсказках к танкам
      "tooltips"/"goldColor" - цвет премиумных снарядов и т.д. во всплывающих подсказках к танкам
  * добавлена новая секция "battleLoadingTips" для новых видов экрана загрузки
  * добавлены новые опции в секциях "battleLoading" и "battleLoadingTips":
      "nameFieldShowBorder" - показывать рамку для поля имени игрока (полезно для настройки конфига)
      "vehicleFieldShowBorder" - показывать рамку для поля имени танка (полезно для настройки конфига)
      "nameFieldWidthDeltaLeft" - изменение ширины поля ника для союзников
      "nameFieldWidthDeltaRight" - изменение ширины поля ника для противников
      "vehicleFieldWidthDeltaLeft" - изменение ширины поля "formatLeftVehicle"
      "vehicleFieldWidthDeltaRight" - изменение ширины поля "formatRightVehicle"
  * добавлены новые опции в секции "statisticForm":
      "nameFieldShowBorder" - показывать рамку для поля имени игрока (полезно для настройки конфига)
      "vehicleFieldShowBorder" - показывать рамку для поля имени танка (полезно для настройки конфига)
      "fragsFieldShowBorder" - показывать рамку для поля фрагов (полезно для настройки конфига)
  * удалена устаревшая опция:
      "userInfo"/"showExtraDataInProfile"
  * ping/online: minimalLength переименовано в minimalValueLength, добавлено minimalNameLength

XVM-6.2.0.1:
  * улучшения и исправление ошибок
  * добавлены опции:
      "hangar"/"pingServers"/"ignoredServers" - список игнорируемых серверов для пинга в ангаре
      "hangar"/"onlineServers"/"ignoredServers" - список игнорируемых серверов для онлайна в ангаре
      "hangar"/"carousel"/"showUsedSlots" - показывать количество занятых слотов в ячейке "Купить слот"
      "hangar"/"carousel"/"showTotalSlots" - показывать общее количество слотов в ячейке "Купить машину"

XVM-6.2.0:
  * адаптация к WoT 0.9.13
  * XVM API 4.0
  * добавлены опции:
      "battle"/"camera"/"noScroll" - не переключаться в снайперский режим колесом мыши
      "battle"/"camera"/"<mode>"/"dynamicCameraEnabled" - включить/выключить динамическую камеру
      "battle"/"minimapDeadSwitch" - переключение между игроками по миникарте после смерти

XVM-6.1.6.1:
  * удален квадрат на миникарте
  * добавлены глобальные макросы:
      {{my-veh-id}}, {{my-vehicle}}, {{my-vehiclename}}, {{my-vehicle-short}}, {{my-vtype}},
      {{my-vtype-l}}, {{my-vtype-key}}, {{c:my-vtype}}, {{my-battletier-min}},
      {{my-battletier-max}}, {{my-nation}}, {{my-level}}, {{my-rlevel}}
  * разрешено использование глобальных макросов в кругах и линиях на миникарте
  * добавлена секция конфига "battle"/"camera" для настроек камеры (zoom)
  * новая опция "sounds"/"sixthSenseRudy" - звук шестого чувства для Rudy
  * исправлены ошибки

XVM-6.1.6:
  * адаптация к WoT 0.9.12
  * добавлены опции:
      "carousel"/"scrollingSpeed" - скорость прокрутки карусели
      "carousel"/"backgroundAlpha" - прозрачность подложки

XVM-6.1.5:
  * полностью переработаны настройки надписей на миникарте. Смотрите файл minimapLabels.xc
  * секция конфига "mapSize" перенесена в корень секций "minimap" и "minimapAlt"
  * "revealed" везде переименовано в "spotted"
  * добавлена опция "minimap"/"iconAlpha" - прозрачность иконок типа техники на миникарте
  * добавлены макросы:
      {{vtype-key}}     - название ключа таблицы типа танка
      {{sys-color-key}} - название ключа таблицы системных цветов
    эти макросы могут быть полезны в связке с макросом {{.}}
  * увеличена версия конфига до 6.1.0
  * ЛБЗ: добавлен фильтр "Незавершенные" (Выполняются + Улучшить)

XVM-6.1.4.3:
  * исправлено отображение текущей базы в полосе захвата
  * исправлено отображение динамических взводов на миникарте и в маркерах над танками

XVM-6.1.4.2:
  * обновление для минипатча WoT

XVM-6.1.4.1:
  * исправление ошибок и оптимизация
  * новая опция:
      "sounds"/"fireAlert" - звук предупреждения при пожаре
      "sounds"/"ammoBay" - звук предупреждения при повреждении боеукладки

XVM-6.1.4:
  * адаптация к WoT 0.9.10
  * добавлена сортировка карусели winRate
  * удалена устаревшая опция "fragCorrelation"/"sortByType"
  * добавлены опции в секции battleLoading и statisticForm:
    "removeVehicleLevel" - убрать отображение уровня танка
    "removeVehicleTypeIcon" - убрать отображение типа танка. Пустое место будет использовано под форматируемое поле.
    "squadIconOffsetXLeft" - смещение по оси X значка взвода для союзников
    "squadIconOffsetXRight" - смещение по оси X значка взвода для противников
    "nameFieldOffsetXLeft" - смещение по оси X поля ника для союзников
    "nameFieldOffsetXRight" - смещение по оси X поля ника для противников
    "vehicleFieldOffsetXLeft" - смещение по оси X поля названия танка для союзников
    "vehicleFieldOffsetXRight" - смещение по оси X поля названия танка для противников
    "vehicleIconOffsetXLeft" - смещение по оси X иконки танка для союзников
    "vehicleIconOffsetXRight" - смещение по оси X иконки танка для противников
  * добавлена секция "carousel"/"filtersPadding" - отступ между ячейками фильтров.
  * добавлены опции:
      "hangar"/"barracksShowFlags" - показывать флаги в казарме
      "hangar"/"barracksShowSkills" - показывать умения в казарме
  * в режимы ушей добавлена опция "vehicleLevelAlpha" - прозрачность уровня танка

XVM-6.1.3.1:
  * исправление ошибок и оптимизация
  * xvm_online и xvm_ping : minimalLength теперь расширяет длину значения
  * xvm_squad: показывает мин. и макс. уровни боев взвода
  * xvm_contacts: всплывающие подсказки используют оригинальную форму
  * новые опции:
      "tooltips"/"tooltipsDelay" - задержка отображения подсказок
      в hangar и login, для pingServers и onlineServers добавлены:
           "serverColor" - цвет для названия сервера и разделителя
           "errorString" - текст показываемый в случае ошибки
      "hangar"/"serverInfo"/"shiftY" - сдвиг по оси Y для информации о сервере

XVM-6.1.3:
  * адаптация к WoT 0.9.9
  * новая опция: на подобие пинга к серверам, добавлен онлайн серверов (страница логина и ангар)
  * новая опция: пометить танк как "резерв", он будет спрятан если не указать в фильтре
  * переименована опция конфига: "hangar"/"blockVehicleIfNoAmmo" -> "hangar"/"blockVehicleIfLowAmmo"
  * новые опции:
      "hangar"/"lowAmmoPercentage" - Ниже этого процента снарядов считается мало. (0 - 100)
      в hangar и login, для pingServers и onlineServers добавлены:
          "hAlign", "vAlign" - горизонтальное и вертикальное выравнивание
          "showTitle" - показывать заголовок к списку
          "showServerName" - показывать названия серверов в списке
          "minimalLength" - расширить каждую ячейку до данного количества символов (к примеру: "RU1:     12345")
          "markCurrentServer" - выделять текущий сервер в списке (недоступно на странице логина)
      "battle"/"fragCorrelation"/"sortByType" - сортировать маркеры в панели фрагов по типу техники

XVM-6.1.2.3:
  * обновление для WoT 0.9.8.1 #62
  * исправлено окно результатов боя

XVM-6.1.2.1:
  * добавлен новый фильтр в карусель танков: убрать "Превосходство"
  * ЛБЗ: добавлены фильтры "Скрыть с отличием" и "Выполняется", а так же сделано
    сохранение настроек фильтра
  * исправлены ошибки
  * оптимизация производительности

XVM-6.1.2:
  * адаптация к WoT 0.9.8.1
  * рефакторинг загрузки конфига
  * новые опции:
      "crewReturnByDefault" - включить галочку возврата экипажа по умолчанию
      "enableEquipAutoReturn": автовозврат съемного оборудования (Маскировочная сеть, Стереотруба, Ящик с инструментами)
      "minimap"/"showCameraLineAfterDeath" - отображать линию направления камеры после смерти
      "minimap"/"minimapAimIcon" - путь к иконке для артиллерийского прицела
      "hangar"/"blockVehicleIfNoAmmo" - сделать машину не готовой к битве если заряжено менее 20% снарядов
      "minimap"/"minimapAimIconScale" - масштаб иконки для артиллерийского прицела (в процентах)
  * опция "playersPanel"/"removeSquadIcon" перенесена внутрь настроек режимов ушей (секции "short", "medium", "medium2", "large")
  * удалена устаревшая опция "fragCorrelation"/"hideTeamTextFields"

XVM-6.1.1.1:
  * добавлены встроенные шрифты 'dynamic' и 'dynamic2' с различными индикаторами
  * добавлено авто-возвращение экипажа в Укрепрайоны/Командные бои при выборе машины
  * обновлены файлы локализации

XVM-6.1.1:
  * в расширенные поля в ушах добавлен параметр "enabled" с поддержкой глобальных макросов
  * добавлена секция hangar/serverInfo для изменения отображения информации о сервере
  * добавлены параметры в конфиг карусели: fields/statusText и fields/clanLock
  * произведена оптимизация производительности и исправлены некоторые ошибки
  * добавлены макросы {{xr}}, {{c:xr}}, {{a:xr}} - тоже, что и {{r}}, но всегда по шкале XVM
  * новая опция:
      "suppressCarouselTooltips" - убрать всплывающие подсказки в карусели
  * макрос {{language}} переименован в {{flag}}, папка с иконками флагов переименована с "lang" в "flags"
  * добавлен встроенный шрифт 'vtype' с символами техники

XVM-6.1.0.1:
  * добавлена секция конфига sounds.xc, в ней можно настроить дополнительные звуки
  * исправлены ошибки
  * добавлены флаги некоторых языков в персональном кабинете
  * новая опция:
      "showAliveNotFrags" - показывать количество живых танков вместо убитых в панели фрагов. Оригинальный код/идея от yaotzinv: http://koreanrandom.com/forum/topic/18671-/
  * добавлен критерий сортировки в карусель: премиумность
  * изменение статуса замков золота\свободного опыта обновляет их доступность в открытых окнах
  * в подсказки к танкам в ангаре добавлены УВН сбоку и сзади

XVM-6.1.0:
  * адаптация к WoT 0.9.7
  * XFW-3.0.0
  * включен потанковый рейтинг (xTE) (макросы {{xte}}, {{c:xte}}, {{a:xte}})
  * новые макросы в карусели {{v.xte}} и {{v.c_xte}} для потанкового рейтинга
  * новая опция userInfo/showXTEColumn - Показывать колонку xTE в списке техники
  * добавлена секция конфига tooltips.xc, в ней можно настроить подсказки к танкам в ангаре
  * в подсказках к танкам добавлены возможность свободного текста и данные коэффициентов маскировки
  * в казарме показывается флаг нации танкистов и их умения
  * добавлены встроенные шрифты: 'xvm' (символьный) и 'mono' (моноширинный), рекомендованные для использования по-умолчанию
  * новые опции:
      "enableGoldLocker" - включить замок для золота
      "enableFreeXpLocker" - включить замок для свободного опыта
      "defaultBoughtForCredits" - Использовать кредиты, а не золото как валюту по умолчанию для снарядов и снаряжения
      "combineIcons" - в подсказках к танкам объединять значки оборудования и доп.модулей
      "hideBottomText" - в подсказках к танкам прятать текст внизу о количествах оборудований
  * новый макрос {{.}} для подстановки значения из конфига: {{.путь.к.значению.в.конфиге}}
      например: {{.language}}, {{.def.mycolors.ally}}
  * новый макрос {{ally}} возвращает 'ally' для союзников и пусто для противников
  * новый макрос {{nation}} возвращает нацию танка
  * добавлена возможность сортировки танков в карусели из конфига (carousel.xc)
  * в бою, в подсказке к фугасным снарядам добавлен радиус разлета осколков
  * опция hangar/autoPutPreviousCrewInTanks переименована в hangar/enableCrewAutoReturn
  * при включенной опции enableCrewAutoReturn отображается галочка в ангаре для включения/выключения
    автопосадки. Настройки запоминаются для каждого танка отдельно.
  * добавлены макросы {{r}}, {{c:r}}, {{a:r}} - рейтинг игрока
    (тип рейтинга может быть выбран в личном кабинете: https://modxvm.com/)
  * добавлен макрос {{r_size}} - размер значения макроса {{r}} (может быть полезен для форматирования полей)
  * переименованы макросы:
      {{rating}} => {{winrate}}
      {{t-rating}} => {{t-winrate}}
  * переименованы секции colors и alpha: "rating" => "winrate"

XVM-6.0.2:
  * новая опция hangar/autoPutPreviousCrewInTanks - автоматически возвращать предыдущий экипаж при смене танка в ангаре
  * добавлен глобальный макрос {{my-frags}}

XVM-6.0.1:
  * добавлен новый макрос {{battletype}} - текущий тип боя
  * добавлена секция конфига texts/battletype с подстановками для макроса {{battletype}}
  * добавлена секция конфига texts/topclan с подстановками для макроса {{topclan}}
  * добавлены новые макросы в карусель танков:
      {{v.xpToElite}} - опыт, необходимый для элитного танка
      {{v.xpToEliteLeft}} - количество опыта, которое осталость набрать для элитного танка
      {{v.freeXP}} - свободный опыт
  * форматирование макросов:
      добавлен флаг "'" для разделения тысячных разрядов (только в ангаре)
      добавлена часть "match" для условия по значению ({{battletype=clan?CLAN WAR}})
        допустимые операторы: =, !=, >, >=, <, <=
  * добавлена опция minimap/labels/units/antiAliasType - тип сглаживания текстовых полей.
  * новая опция battle/allowSpottedStatus - включить макрос {{spotted}} в ушах и на миникарте.
    ВНИМАНИЕ: может понизить производительность
  * новая опция hangar/allowExchangeXPInTechTree - учитывать ли возможный обмен свободного опыта за золото в дереве исследований
  * новая опция battle/sixthSenseIcon - путь к иконке 6-го чувства ("" для оригинальной иконки).

XVM-6.0.0.3:
  * исправлены ошибки

XVM-6.0.0:
  * адаптация к Wot 0.9.6
  * XFW: XVM Framework
  * новый мод xvm_quests для индивидуальных боевых задач.
    в данный момент реализованы новые фильтры и сохранение настроек фильтров
  * добавлена секция конфига для цветов шанса на победу: colors/winChance
  * изменен расчет шанса на победу - для расчета результата используется стандартное
    нормальное распределение. Источник: http://forum.worldoftanks.eu/index.php?/topic/468409-/
  * добавлена секция texts/xvmuser с подстановками текста для макроса {{xvm-user}}.
    Доступные значения: "on", "off", "none".
  * добавлен новый мод xvm_export и секция конфига "export".
  * иконки топовых клановые теперь берутся с сервера XVM и список топов обновляется ежедневно.
  * добавлен макрос {{clanrank}} - Эло-рейтинг клана на Глобальной карте
    значения от 1 до 1000, и "persist" для постоянных кланов (администрация WG и друзья XVM)
    дополнительная информация: http://worldoftanks.ru/leaderboard/clans/
    формула: http://worldoftanks.ru/ru/content/cr_formulae/
  * добавлен макрос {{topclan}} - возвращает "top" для топовых кланов, 'persist' для постоянных
    кланов, пусто для других

XVM-5.5.1.1:
  * исправлен Application.swf

XVM-5.5.1:
  * добавлены новые макросы:
      {{xvm-user}} - значение 'on' для пользователей XVM с включенной статистикой,
        значение 'off' для пользователей XVM с выключенной статистикой, иначе пусто
  * исправлены ошибки

XVM-5.5.0:
  * адаптация к Wot 0.9.5
  * разрешено использование вложенных макросов: {{xvm-stat?{{alive?80|30}}|0}}
  * добавлена секция texts/spotted с подстановками текста для статуса засвета.
    доступные значения:
      Для обычного танка: "neverSeen", "lost", "revealed", "dead"
      Для арты: "neverSeen_arty", "lost_arty", "revealed_arty", "dead_arty"
  * добавлены новые макросы:
      {{language}} - язык клиента игрока
      {{region}} - текущий регион игры (RU, EU, NA, ASIA, KR, CN, CT)
      {{spotted}} со значениями из секции texts/spotted
      {{c:spotted}}, {{a:spotted}} для цвета и прозрачности по статусу засвета
  * удалена секция playersPanel/enemySpottedMarker (используйте экстра-поля с макросом {{spotted}})
  * добавлена новая опция в экстра-поля: "bindToIcon" - если включена, позиция x привязывается к
    иконке танка (по умолчанию false)

XVM-5.4.1.3:
  * новые макросы в бою:
      {{selected}} - возвращает 'sel' для выбранного игрока, пусто для других
      {{xvm-stat}} - возвращает 'stat' если статистика активна, иначе пусто
      {{position}} - позиция игрока в начале боя (1-15)
  * добавлены отдельные системные цвета для баз:
      colors/system/ally_base и colors/system/enemy_base
  * добавлена опция playersPanel/removeSelectedBackground - убрать подложку выбранного игрока
  * добавлена опция autoReloadConfig - следить за изменениями в папке res_mods/xvm/configs/ и
    автоматически перезагружать конфиг (в данный момент работает только в ангаре).
    Отключено по умолчанию, может понизить производительность.

XVM-5.4.1.2:
  * исправлены мелкие ошибки
  * отображать номер захватываемой базы для боев с более чем одной базой
    ВНИМАНИЕ: Изменены файлы локализации
  * добавлена опция minimap/hideCameraTriangle - спрятать зеленый треугольник направления камеры

XVM-5.4.1.1:
  * исправлена ошибка активации сетевых сервисов

XVM-5.4.1:
  * адаптация к WoT 0.9.4

XVM-5.4.0.2:
  * исправлена ошибка в настройках сетевых сервисов

XVM-5.4.0:
  * новый мод: xvm-comments, позволяет изменять ники друзей и добавлять комментарии
  * удалена секция "rating" - заменена настройками сетевых сервисов в персональном кабинете
  * удалены опции "showChances", "showChancesLive" - перенесены в персональный кабинет
  * изменено место хранения токена, теперь он хранится в настройках пользователя:
      %APPDATA%\Wargaming.net\WorldOfTanks\xvm\
    Необходимо переактивировать сервисы XVM (используйте кнопку "Добавить клиент" в персональном
    кабинете на сайте https://modxvm.com). Можно удалить папку res_mods/xvm/db/.
  * добавлена опция battleLoading/darkenNotReadyIcon для настройки затемнения иконок не загрузившихся игроков
  * добавлены опции pingServers/leading и pingServers/topmost
  * карусель: добавлен макрос {{v.selected}}, возвращает 'sel' для выбранного, пусто для других
  * уши: в экстра поля добавлены опции "scaleX" и "scaleY"

XVM-5.3.6.1:
  * исправлена ошибка при отсутствующем xvm.xc

XVM-5.3.6:
  * исправлено множество ошибок
  * макрос {{gun-marks}} изменен на {{marksOnGun}}, секция "gunmarks" изменена на "marksOnGun",
    опция "allowGunMarksInPanelsAndMinimap" изменена на "allowMarksOnGunInPanelsAndMinimap"
    для однообразия
  * исправлена работа статистики в окне набора роты
  * изменено значение макроса: {{v.hitsRatio}} теперь в процентах
  * добавлен макрос {{v.c_hitsRatio}} и секция цветов "hitsRatio"
  * добавлен макрос {{v.c_damageRating}} и секция цветов "damageRating"
  * добавлена опция "onHold" в настройки клавиш альтернативной миникарты и режима ушей
  * добавлена опция hangar/clock/bgImage для фонового изображения в часах
  * макросы {{alive}}, {{ready}}, {{player}}, {{tk}}, {{squad}}, {{squad-num}}, {{hp-max}} работают
    на экране загрузки боя

XVM-5.3.5:
  * адаптация к WoT 0.9.3
  * изменены значения dmg-kind:
      shot, fire, ramming, world_collision, death_zone, drowning, other
  * новые секции:
      hangar/carousel - настройки расширенной карусели танков
      hangar/clock - настройки часов в ангаре
  * удалены опции:
      hangar/masteryMarkInCarousel
      hangar/hideTutorial
  * новые опции:
    battleResults/showTotalExperience - отображать общий полученный опыт на странице результатов боя
    battleResults/showCrewExperience - отображать опыт экипажа на первой странице результатов боя
  * иконка игрока по accountId - загружаются из \res_mods\xvm\res\clanicons\ID\
    порядок поиска иконки:
      id -> nick -> clan -> clan/default.png -> nick/default.png

XVM-5.3.4:
  * новые макросы:
      {{ready}}, возвращает "ready", если игрок загрузился в игру и пустую строку, если нет
      {{gun-marks}}, возвращает количество значков на орудии для засвеченной техники
  * новая опция battle/allowGunMarksInPanelsAndMinimap - включить макрос {{gun-marks}}
    в ушах и на миникарте. ВНИМАНИЕ: может понизить производительность
  * добавлена секция конфига texts/gunMarks
  * добавлена возможность отключения некоторых режимов ушей
  * новая секция "minimapAlt" для альтернативного режима миникарты (выключено по умолчанию)
  * локализация:
      добавлена фраза {{l10n:Not ready}}
  * обновлены настройки горячих клавиш (секция "hotkeys"):
     - добавлены настройки клавиш для альтернативных режимов миникарты и ушей
     - может быть использована вся клавиатура
     ВНИМАНИЕ: изменились коды клавиш
  * отключено затемнение цвета в макросах {{c:*}} для уничтоженной техники
    используйте макрос {{alive}} с прозрачностью:
      <font color='{{c:xwn}}' alpha='{{alive?#FF|#80}}'>{{xwn}}</font>
  * секция turretMarkers перенесена в markers/turretMarkers

XVM-5.3.3:
  * адаптация к WoT 0.9.2
  * новые макросы:
      {{player}}, возвращает "pl" для текущего игрока и пустую строку для остальных
      {{tk}}, возвращает "tk" для тимкиллеров и пустую строку для остальных
      {{wgr}}, {{c:wgr}}, {{a:wgr}}, {{xwgr}}, {{c:xwgr}}, {{a:xwgr}} для рейтинга WG
  * изменения в макросах
      {{l10n:<id>}} теперь работает в "ушах"
  * новая опция:
      playersPanel/altMode - режим ушей при нажатой клавише Alt
  * локализация:
      добавлены фразы {{l10n:Destroyed}} и {{l10n:No data}}

XVM-5.3.2:
  * новые опции: captureBar/allyColor, captureBar/enemyColor

XVM-5.3.1:
  * адаптация к WoT 0.9.1
  * показывать расчетный обзор, время перезарядки и дальность связи в параметрах танка в ангаре

XVM-5.3.0:
  [ВАЖНЫЕ ИЗМЕНЕНИЯ]
  * новое форматирование макросов (см. readme-ru.txt)
    допускается форматирование текста (используется формат, приближенный к printf):
      {{name[%[flag][width][.prec]type][~suf][|def]}}
      name  - имя макроса
      flag  - "-" для выравнивания влево, иначе выравнивание вправо
              "0" для дополнения чисел ведущими нулями до заданной длины
      width - минимальная ширина
      prec  - максимальная ширина для строк, или количество знаков после запятой для чисел
      type  - тип (s - строка, d - целое число, f - дробное число, ...)
      suf   - суффикс, добавляемый в конце
      def   - значение по умолчанию, которое подставляется при отсутствии значения:
    например:
      {{name%-10.10s}}      - обрезать длинные имена до 10 символов, а короткие дополнить
                              до 10 символов и выровнять влево
      {{kb%4.01f~k|----}}   - ширина 4 символа, обязательно 1 символ после запятой, выравнивание вправо
                              если kb==null, будет отображаться "----"
    подробнее: http://ru.wikipedia.org/wiki/Printf
  * версия конфига увеличена до 5.1.0

  [НОВЫЕ ФУНКЦИИ]
  * динамические круги на миникарте. Опции:
      minimap/circles/artillery - максимальная дальность стрельбы для артиллерии
      minimap/circles/shell - максимальная дальность полета снаряда для пулемётных и полуавтоматических орудий
      minimap/circles/view - дальность обзора (динамически изменяется при включении стереотрубы)
      minimap/circles/major - убрана, так как заменяется секцией view
    при создании компонента были использованы наработки Omegaice
  * новые опции в playersPanel для дополнительных текстовых полей в ушах
  * новые опции в playersPanel для форматирования фрагов
  * новая опция playersPanel/startMode для начального режима ушей
  * новая опция battle/allowHpInPanelsAndMinimap - включить {{hp}}, {{hp-ratio}}, {{hp-max}}
    макросы в ушах и на миникарте. ВНИМАНИЕ: может понизить производительность

  [МАКРОСЫ]
  * новые макросы:
    {{frags}} - текущее количество фрагов
    {{alive}} - 'alive' для живых, '' для мертвых
    {{battletier}} - предполагаемый уровень текущего боя
    {{squad-num}} - номер взвода, или null, если не во взводе
  * расширены макросы: {{hp:XX}} и {{hp-max:XX}} возвращают значение, нормализованное к XX для текущего уровня боя
    например: {{hp:300}} - вернет 300 для HP=700 в бою 5 уровня, и для HP=3000 в бою 11 уровня.
  * расширены макросы: подмена значения - {{macro?rep}}
    например: "alpha": "{{alive?80|0}}" - установить прозрачность 80 для живых и 0 для мертвых
  * изменено значение макроса {{squad}} с '1' на 'sq'
  * удален макрос {{vehicle-type}}, так как дублировал {{vehicle}}
  * удален макрос {{vehicle-name}}, так как дублировал {{vehiclename}}
  * удален макрос {{short-nick}} и опция minimap/nickShrink, так как заменяется на {{nick%.5s}}

  [ДРУГОЕ]
  * репозиторий теперь находится на http://dev.modxvm.com/

XVM-5.2.1:
  * адаптация к WoT 0.9.0

  [НОВЫЕ ФУНКЦИИ]
  * новая опция login/saveLastServer - сохранять последний сервер (выключена по умолчанию)
  * локализация: Новая система отправки переводов в проект. Подробности: https://code.google.com/p/wot-xvm/wiki/LocalizingXVM

  [ИСПРАВЛЕНИЯ]
  * уши не отображались после загрузки боя
  * исправлено отображение элементов на миникарте

XVM-5.2.0:
  [ВАЖНЫЕ ИЗМЕНЕНИЯ]
  * основной файл конфига (xvm.xc) перемещен в res_mods/xvm/configs
  * статистика должна быть включена в личном кабинете на сайте https://modxvm.com/

  [НОВЫЕ ФУНКЦИИ]
  * локализация: добавлен китайский(упрощенный)
  * stat: использование шифрованного соединения.
  * добавлено специальное название схемы для тега <img>: xvm:// - путь относительно папки res_mods/xvm
      например: <img src='xvm://configs/my/icons/foo.png'>

  [ДРУГОЕ]
  * stat: изменен адрес сервера статистики (теперь https://stat.modxvm.com/ )
  * опция battle/useStandardMarkers перенесена в markers/useStandardMarkers
  * опция battle/removePanelsModeSwitcher перенесена в playersPanel/removePanelsModeSwitcher
  * версия конфига увеличена до 5.0.2

XVM-5.1.0:
  * адаптация к WoT 0.8.11

  [НОВЫЕ ФУНКЦИИ]
  * новые опции:
      (battleLoading|battleResults|statisticForm)/showBattleTier - показывать уровень боя

  [ДРУГОЕ]
  * рейтинг WN по умолчанию изменен на WN8
  * опция statisticForm/showChancesExp переименована в showChancesLive

XVM-5.0.2:
  * адаптация к WoT 0.8.10

  [НОВЫЕ ФУНКЦИИ]
  * новые опции:
      battleResults/showTotals - Показывать итог по вашей боевой эффективности на первой странице
      hangar/hidePricesInTechTree - Прятать кнопку с ценой в дереве исследований
      hangar/masteryMarkInTankCarousel - Показывать знак мастерства в карусели танков
      hangar/masteryMarkInTechTree - Показывать знак мастерства в дереве исследований
      userInfo/showExtraDataInProfile - Показывать расширенные данные в профиле (экспериментально)
  * добавлены макросы: {{wn6}}, {{wn8}, {{c:wn6}}, {{c:wn8}}, {{a:wn6}}, {{a:wn8}},
      {{xwn6}}, {{xwn8}}, {{c:xwn6}}, {{c:xwn8}}, {{a:xwn6}}, {{a:xwn8}},
  * макросы {{wn}}, {{c:wn}}, {{a:wn}}, {{xwn}}, {{c:xwn}}, {{a:xwn}} являются устаревшими
  * экран логина: поля ввода принимают только требуемые символы
  * локализация: добавлены китайский(Тайвань), малайский и португальский языки

  [ДРУГОЕ]
  * изменен формат имен танков в конфиге

XVM-5.0.1:
  * адаптация к WoT 0.8.9

  [НОВЫЕ ФУНКЦИИ]
  * дерево исследований, карусель танков: отображение значка мастерства
  * локализация: добавлен японский язык, бразильский вариант португальского языка
  * новые опции:
    login/confirmOldReplays - Автоматически подтверждать проигрывание старых реплеев

  [МАКРОСЫ]
  * взвод: добавлен макрос {{vtype-l}}

  [ИСПРАВЛЕНИЯ]
  * множество исправлений

XVM-5.0.0-test5:
  * адаптация к WoT 0.8.8

  [НОВЫЕ ФУНКЦИИ]
  * возможность редактирования поля ника в окне загрузки боя, Tab:
    formatLeftNick, formatRightNick
  * новые опции:
    login/skipIntro - пропустить вступительное видео
    login/autologin - автоматический вход в игру
    userInfo/startPage - начальная страница окна достижений (по умолчанию: 4)
    battleResults/showNetIncome - отображать чистый доход в послебоевой статистике
    battleResults/showExtendedInfo - отображать процент попаданий и урон в послебоевой статистике
    userInfo/defaultFilterValue - значение для фильтра по умолчанию
  * возможность форматирования с помощью макросов поля информации о танке в окне взвода:
      squad/formatInfoField
  * возможность настройки разных наборов иконок для левой и правой панелей, маркеров союзников и противников:
      iconset/battleLoadingAlly, iconset/battleLoadingEnemy - для экрана загрузки
      iconset/playersPanelAlly, iconset/playersPanelEnemy   - для боковых панелей
      iconset/statisticFormAlly, iconset/statisticFormEnemy - для экрана Tab
      iconset/vehicleMarkerAlly, iconset/vehicleMarkerEnemy - для маркеров над танками
  * пингер: добавлена поддержка wine. Для ее активации нужно выполнить команду
    ln -s `which ping` ~/.wine/drive_c/ping.exe
  * локализация: добавлены румынский, болгарский, датский, итальянский, норвежский, сербский, словацкий и турецкий языки
  * локализация: добавлен readme на польском, французском языке

  [МАКРОСЫ]
  * добавлены макросы {{c:avglvl}}, {{a:avglvl}}
  * взвод: добавлены макросы {{level}}, {{rlevel}}, {{vtype}}, {{battletier-min}}, {{battletier-max}}

  [ИСПРАВЛЕНИЯ]
  * исправлено неверное позиционирование иконки "шестого чувства"
  * миникарта: исправлен цвет врага-тимкиллера
  * маркеры: исправлен цвет значка типа техники утопшего

  [ДРУГОЕ]
  * новая платформа - AS3+Python
  * xvm-stat, Dokan и .NET Framework для отображения статистики больше не требуются.  Пожалуйста, удалите xvm-stat.exe.
  * удален рейтинг TWR
  * версия конфига увеличена до 5.0.0
  * статистика выключена в конфиге по умолчанию
  * изменен формат часов в окне загрузки боя (http://php.net/date)
  * конфиг: секция "finalStatistic" переименована в "battleResults"
  * удалена опция battleResults/sortColumn, т.к. встроена в клиент с 0.8.8
  * удалены опции login/showPingOnGameLoading, userInfo/showEColumn, squad/romanNumbers,
    squad/leftLvlBorder, squad/rightLvlBorder
  * переименованы поля iconset/battleLoading, iconset/playersPanel, iconset/statisticForm, iconset/vehicleMarker
  * переименованы поля "formatLeft", "formatRight" в окне загрузки боя, Tab

XVM-4.1.1:
  [НОВЫЕ ФУНКЦИИ]
  * локализация: добавлены венгерский, вьетнамский, испанский, корейский, немецкий, польский, финский и французский языки
  * локализация: макросы для перевода текста в конфиге, убрана зависимость от языка
  * хитлог: строки в логе попаданий теперь могут иметь форматирование
  * xvm-stat: ключ /priority
  * миникарта: поддержка названий танков из vehicleNames.xc
  * миникарта: короткие названия танков из vehicleNames.xc

  [ИСПРАВЛЕНИЯ]
  * миникарта: исправлено отображение надписей для азиатского региона
  * маркер сток/топ башни: убраны некорректные маркеры на некоторых артах
  * окно взвода: исправлено исчезновение информации об некоторых танках
  * окно взвода: текстовое поле с уровнем техники больше не создает артефактов

  [ДРУГОЕ]
  * автоматизация: организация ночных сборок на http://nightly.modxvm.com/

XVM-4.1.0:
  [НОВЫЕ ФУНКЦИИ]
  * новые параметры:
    login/pingServers/showPingOnGameLoading - показывать пинг во время загрузки, до окна логина
    userInfo/showFilters - показывать фильтры отображения танков
    userInfo/filterFocused - выбрать поле ввода фильтра по умолчанию
    userInfo/sortColumn - номер колонки для сортировки
      1 - Уровень, 2 - Тип, 3 - Нация, 4 - Название, 5 - E, 6 - Боев, 7 - Побед, 8 - Знак классности
      Порядок сортировки: >0 - по умолчанию, <0 - обратный
    hangar/xwnInCompany - показывать XWN вместо XEFF в окнах рот
    language - используемый язык в моде (поддержка файлов перевода в xvm/l10n/)
    hangar/widgetsEnabled - включить виджеты в ангаре. Пока реализованы только часы.
  * миникарта: новые типы надписей - трупы, тимкилеры, потерянные союзники
  * локализация: поддержка перевода из внешних языковых файлов
  * локализация: добавление белорусского, украинского и чешского переводов
  * snippets - расширенные настройки элементов в бою. Секция battle/elements изменена.
    подробности здесь: http://www.koreanrandom.com/forum/topic/1761-snippets/
    требуется xvm-stat 1.6.1 или выше

  [ИСПРАВЛЕНИЯ]
  * миникарта: надпись у наблюдаемой техники более не вращается вместе с иконкой
  * миникарта: некоторые объекты интерфейса более не перекрывают увеличенную миникарту
  * миникарта: исправлено позиционирование лога смертей игроков при увеличенной миникарте
  * миникарта: исправлена работа при одном игроке во вражеской команде
  * хитлог: урон по утонувшим больше не засчитывается

  [ДРУГОЕ]
  * миникарта: после смерти прикрепляемая геометрия удаляется
  * миникарта: рефакторинг кода
  * миникарта: надписи откреплены от иконок на нижний слой
  * миникарта: прикрепляемая геометрия теперь работает со всеми языками без xvm-stat.exe
  * окно взвода: работа со всеми языками

XVM-4.0.0:
  * адаптация к WoT 0.8.6

  [НОВЫЕ ФУНКЦИИ]
  * макросы прозрачности по статистике ({{a:xwn}},...)
  * можно задавать цвета для маркера типа танка (можно использовать макросы для динамического цвета)
  * новая опция: hangar/hideTutorial - скрытие иконки обучения
  * фильтр по танкам в своем ангаре в достижениях
  * отдельные настройки отлетающего урона для игрока и взвода
  * фильтр по имени танка в достижениях
  * новая опция: userInfo/inHangarFilterEnabled - включить чекбокс "В ангаре" по умолчанию
  * переключатель в окне достижений: [показывать] в ангаре, танки игрока, все танки
  * мод панели эксперта; смотреть battle.xc
  * таблица времени отклика до кластеров н экране логина и в ангаре(ping);
    секция "pingServers" в конфиге login.xc и hangar.xc
  * hitlog: отображение оставшегося ХП врагов (маркеры которых были видны) по нажатию Alt;
    hitlog.xc: "hpLeft": "true"
  * отображение пинга на экране загрузки; login.xc/pingServers

  [ИСПРАВЛЕНИЯ]
  * исправлена редкая ошибка удаления неправильного маркера пропавшего врага на миникарте
  * minimap zoom: выключен во время работы чата; поддерживаемые клавиши обновлены в конфиге hotkeys.xc
  * некоторые другие исправления

  [ДРУГОЕ]
  * новый формат конфига (теперь конфиг загружается из res_mods/xvm/xvm.xc)
  * удалена поддержка устаревшего конфига OTMData.xml
  * изменена версия конфига на 4.0.0
  * специальное название схемы для тега <img>: xvmres:// - путь относительно папки res_mods/xvm/res
      например: <img src='xvmres://icons/foo.png'>

XVM-3.5.0
  * адаптация к WoT 0.8.5

  [НОВЫЕ ФУНКЦИИ]
  * окно взвода: отображение информации о танке
  * статус засвета врага в правой боковой панели (ухе)
  * crew: мод посадки экипажа (автор: Lemaxho)
  * добавлена кнопка для включения автоматической загрузки данных по командирам в ротах
  * возможность отключения текстовых полей "Союзники | Противники" под панелью счёта
    - верхняя секция "fragCorrelation" в файле конфигурации

  [ИСПРАВЛЕНИЯ]
  * исправлена работа курсора вместе с зумом миникарты на одном Ctrl
  * исправлен бесконечный цикл при недоступности статистики
  * полоса захвата: модифицирована
  * миникарта: добавлено распознавание новой карты Жемчужная река
  * панель счёта обновлена
  * исправлена сортировка в послебоевой статистике
  * исправлен расчет шансов на победу с участием тестовых танков
  * другие исправления

  [МИНИКАРТА]
  * миникарта включена по умолчанию
  * увеличение миникарты по нажатию или удержанию кнопки на клавиатуре;
    см. секции "minimap":{"zoom" and "hotkeys":{ в XVM.xvmconf
  * сделан квадрат 1000m
  * выключатель 1км квадрата для артиллерии
  * xvm-stat.exe для определения карты теперь не обязателен
  * {{vehicle-name}} макрос возвращает системное название танка - usa-M24_Chaffee
  * сглаживание для иконок superHeavyTank и всех уничтоженных танков
  * исправлено неправильное запоминание размера зума между боями
  * исправление для ГК
  * iconScale теперь не влияет на размер иконок баз

  [ДРУГОЕ]
  * переделан протокол xvm-stat
    ВНИМАНИЕ: требуется XVM Stat не ниже 1.4.0
  * статистика в ангаре включена по умолчанию
  * маркеры: автоматический размер текстовых полей
  * обновлена статистика по танкам (добавлены новые танки)
  * миникарта: увеличение по Ctrl отключено по умолчанию
  * обновлены клановые иконки

XVM-3.4.2:
  * миникарта: исправлен минимальный размер карты
  * миникарта: исправлен перекос карты при изменении размеров окна WoT и Alt+Tab
  * миникарта: исправлены переносы строк в образцовом конфиге Full Config RU

XVM-3.4.1:
  * исправление ошибок

XVM-3.4.0:
  * адаптация к WoT 0.8.4

  [МАКРОСЫ]
  * добавлены макросы:
      {{avglvl}} - средний уровень танков
      {{wn}}, {{c:wn}} - WN6 рейтинг: http://www.koreanrandom.com/forum/topic/2575-/
      {{xeff}}, {{xwn}}, {{c:xeff}}, {{c:xwn}} - двузначное значение рейтинга
        по "шкале XVM"
        подробнее: http://www.koreanrandom.com/forum/topic/2625-/page-15#entry35340
      {{twr}}, {{c:twr}} - эффективный процент побед (T-Calc от tourist1984):
        http://www.koreanrandom.com/forum/topic/2389-/
      {{vehiclename}} для внутреннего названия танка, вроде "usa-M24_Chaffee"
        может использоваться в текстовых полях:
        "<img src='img://gui/maps/icons/vehicle/contour/{{vehiclename}}.png'>"
      {{clannb}} - клан игрока без скобок

  [НОВЫЕ ФУНКЦИИ]
  * мод миникарты
  * мод информации о пользователе (с функциями из мода morotopitek'а)
  * мод статистики при наборе в роту
  * мод статистики после боя (с функциями из мода morotopitek'а)
  * новая формула расчета шансов на победу от TurinDeNar:
      http://www.koreanrandom.com/forum/topic/2598-/

  [КОНФИГ]
  * добавлены секции настройки цветов: colors/wn, colors/twr
  * добавлена секция настройки цветов: colors/x для цветов по шкале XVM
  * добавлена секция finalStatistic для настроек статистики после боя
  * добавлен параметр: hitLog/defaultHeader - формат заголовка по умолчанию (до
    первого попадания)
  * заменено отображение эффективности в конфиге по умолчанию:
      было: {{eff:4}}, стало: {{xwn}}

  [ИСПРАВЛЕНИЯ]
  * исправлен макрос {{c:system}}
  * исправлен макрос {{nick}} во втором среднем режиме ушей
  * исправлена загрузка статистики в режиме тумана войны

  [ПОЛОСА ЗАХВАТА]
  * полоса захвата: исправлено "enabled":false
  * полоса захвата: исправлена скорость захвата ротного встречного боя
  * полоса захвата: исправлено кол-во захватчиков

  [ДРУГОЕ]
  * почищены клановые иконки для RU кластера
  * обновлены данные статистики для новых танков

XVM-3.3.1:
  * hitlog исправлена отрисовка крайне больших символов

XVM-3.3.0:
  * релиз для WoT 0.8.3

XVM-3.3.0-test1:
  * полоса захвата: исправлен неправильный обсчет кол-ва захватчиков во встречном бою
  * макрос {{c:dmg}} может быть использован в полосе здоровья
  * сортировка по опыту по умолчанию в статистике после боя
  * адаптация к WoT 0.8.3.CT2

XVM-3.2.1-test1:
  * полоса захвата: исправлено заполнение полосы при 100%
  * оптимизация кода
  * доработки новой формулы эффективности:
      TEFF: E
      0..299: 1 - очень плохой игрок
      300..499: 2 - плохой игрок
      500..699: 3 - удовлетворительный
      700..899: 4 - ниже среднего
      900..1099: 5 - средний
      1100..1299: 6 - выше среднего
      1300..1549: 7 - хороший
      1550..1799: 8 - отличный
      1800..1999: 9 - мастер
      2000+: E - Эксперт (топ-100 игроков на данной технике)

XVM-3.2.0:
  * адаптация к WoT 0.8.2
  * добавлены новые танки
  * пересмотрена цветовая палитра
  * новые макросы:
      {{tdb}}, {{tdb:4}} - средний дамаг за бой для текущего танка - damage/battles
      {{tdv}} - средняя эффективность дамага для танка - damage/(battles*maxHP)
      {{tfb}} - среднее количество фрагов за бой для текущего танка
      {{tsb}} - среднее количество засвеченных врагов за бой для текущего танка
      {{c:tdb}}, {{c:tdv}}, {{c:tfb}}, {{c:tsb}} - динамические цвета для этих макросов
      {{teff}} - новая эффективность по танку
        Обсуждение: http://www.koreanrandom.com/forum/topic/1643-
      {{c:system}} - использовать системный цвет вместо переопределенного
      {{c:dmg}} - цвет в зависимости от источника урона
  * новое значение макроса {{e}} (новая эффективность по танку в диапазоне 0..9)
  * удален макрос {{e:3}} (не требуется)
  * HTML в часах в бою
  * динамический цвет и прозрачность для тени
  * настройка тени в хитлоге

XVM-3.1.2:
  * добавлен мод полосы захвата
  * исправлен режим стандартных маркеров
  * не считать урон союзникам в логе попаданий
  * улучшена общая цветовая гамма по умолчанию
  * новые макросы:
      {{name}} - ник игрока без названия клана
      {{clan}} - клан игрока в квадратных скобках (пусто если нет клана)
      {{vtype}} - тип техники
      {{squad}} - значение '1' для взводных, пусто для остальных (в маркерах)
      {{e}}, {{e:3}} - эффективность / 10 (экономия 1 символа)
  * новая секция конфига texts/vtype для изменения текста типа техники
  * исправлено отображение маркера для танка с убитым экипажем
  * новый параметр: "rating"/"enableStatisticsLog" позволяет включить
    сохранение статистики в файл "xvm-stat.log"
  * отображение шансов на победу в окне финальной статистики боя

XVM-3.1.1:
  * bugfix

XVM-3.1.0:
  * XVM распространяется только в версии Lite, то есть без модуля статистики
  * модуль статистики переименован в xvm-stat и распространяется отдельным пакетом
  * поддержка HTML во всех текстовых полях, включая маркеры над танками
  * шанс на победу выключен по умолчанию
  * в примеры добавлена лампочка (SixthSense.png)
  * обновлены значения {{turret}} для новой и старой техники
  * маркер стоковой башни добавлен в конфиг по умолчанию (после названия танка)
  * улучшена анимация урона
  * по умолчанию шрифт отлетающего урона такой же, как и в клиенте
  * в конфиг добавлена новая секция настройки цветов: "colors"/"damage", позволяющая
    настроить цвет отлетающего урона в зависимости от источника урона
  * добавлена секция конфига "colors"/"dmg_kind"
  * добавлен макрос {{c:dmg_kind}} для динамического цвета а зависимости от вида урона
  * в конфиг добавлена новая секция настройки лога попаданий: "hitLog"
  * отрицательные значения x, y в настройках лога попаний позволяют привязать текст
    к правому и нижнему краю, чтобы конфиг работал одинаково на разных разрешениях
    экрана. Будет работать только при запущенном xvm-stat!!!

XVM-3.0.3:
  * добавлена возможность изменения отображаемой строки {{turret}} маркера
  * исправлены вычисления {{turret}} маркера для a-20, bt-7, d2, m7_med, pziv, t2_med
  * исправлена значительность {{turret}} маркера для Patton и Pershing
  * добавлена возможность смены индикатора шестого чувства.
    Альтернативное изображение PNG формата следует располагать в res_mods/icons/SixthSense.png

XVM-3.0.2:
  * исправлен режим цветовой слепоты
  * wot-xvm-proxy: добавлен параметр /maximized (запускать клиент в развернутом окне)

XVM-3.0.1:
  * добавлена информация по танкам PzKpfwIV Schmalturm, Panther-M10 и СУ-122-44

XVM-3.0.0:
  * xvm переработан
  * новый маркер {{turret}}:
    Отображается, если на танке сток башня.
      Символ "*" - сток башня. Невозможно поставить топ орудие. Субъект сильно уязвим.
      Символ "-" - сток башня. Топ орудие возможно. Субъект немного уязвим.
      Сток башня может быть слабее бронирована, иметь меньший обзор или медленный поворот.
    Кроме того, на танке со сток башней экипаж может быть слабо прокачан.
  * отдельные настройки для всех элементов во всех состояниях
  * адаптация к WoT 0.8.0

XVM-2.5.2:
  * переработаны иконки кланов. Сейчас в конфиге только один параметр:
    battle/clanIconsFolder, в котором указан путь к корневой папке иконок
    кланов. Все иконки загружаются автоматически из подпапки с названием,
    соответствующем региону игры (RU, EU, US, и т.д.).
    чтобы добавить иконку клана или игрока, просто скопируйте файл иконки в:
      clanicons/[REGION]/clan/ (для клана)
      clanicons/[REGION]/nick/ (для отдельного игрока)
    так же можно сделать иконку по умолчанию для клана или игрока:
      clanicons/[REGION]/clan/default.png (для клана по умолчанию)
      clanicons/[REGION]/nick/default.png (для игрока по умолчанию)
    иконки ищутся в следующем порядке:
      nick/<player>.png -> clan/<clan>.png -> clan/default.png -> nick/default.png
  * добавлен параметр конфига:
      battle/clanIconsFolder - корневая папка иконок кланов
  * удалена секция конфига:
      players
  * увеличена версия конфига: 1.4.0 => 1.5.0, из-за изменения иконок кланов
  * добавлены архивы с полными наборами иконок кланов:
      http://code.google.com/p/wot-xvm/downloads/detail?name=clanicons-full-ru.zip (RU)
      http://code.google.com/p/wot-xvm/downloads/detail?name=clanicons-full-eu.zip (EU)
      http://code.google.com/p/wot-xvm/downloads/detail?name=clanicons-full-us.zip (US)
  * удалена сетка координат (параметр battle.drawGrid)
  * статистика включена по умолчанию
  * добавлен макрос {{rlevel}} для уровня танка римскими цифрами
  * динамический цвет и прозрачность для тени
  * добавлен параметр font/italic (значения: true/false)
  * добавлен макрос {{c:vtype}} и секция colors/vtype для динамического цвета
    по типу техники
  * добавлен цвет для премиумной техники в макрос {{c:vtype}}
  * макрос {{c:vtype}} можно использовать на экране загрузки, в ушах и
    окне статистики по Tab
  * добавлена секция конфига "vehicleNames". Используется для замены названий
    танков - можно поменять название любого танка на собственное значение

XVM-2.5.1:
  * исправлено отображение названий танков на экране загрузки боя и в окне
    статистики

XVM-2.5.0:
  * мод адаптирован для WoT 0.7.5
  * рефакторинг кода
  * исправлены ошибки в режиме "тумана войны" (еще не до конца)
  * в директории игры создается файл XVM.log с отладочной информацией мода
  * добавлены параметры:
      battle/clockFormat - показывать часы в панели отладки (возле FPS)
      battleLoading/clockFormat - показывать часы на экране загрузки боя
      battle/highlightVehicleIcon - настройка подсветки иконки выбранного танка и взвода
  * удален параметр:
      battleLoading/showClock - заменен на battleLoading/clockFormat
  * использование макросов в поле названия танка на экране загрузки боя и
    в статистике боя.
  * увеличена версия конфига: 1.3.0 => 1.4.0, из-за того, что
    battleLoading/showClock заменен на battleLoading/clockFormat и изменено
    поведение formatLeft/formatRight
  * часы и информация о моде на экране загрузки боя перенесены в нижнюю
    информационную панель
  * wot-xvm-proxy: добавлен параметр "/noproxy" для отключения использования
    настроек системного прокси
  * исправлено положение иконки у союзников при использовании стандартных
    маркеров
  * добавлена экспериментальная формула расчета шансов
  * редактор переехал: http://www.koreanrandom.com/forum/topic/1422-/#entry11316
  * BattleTimerBig.swf удален из архива мода
  * изменения в формулах расчета шанса на победу
  * отображение шансов на победу на форме финальной статистики боя

XVM-2.4.1:
  * убрана анимация задачи боя
  * добавлены новые макросы:
      {{t-kb-0}} - кило-бои с ведущим нулем
      {{t-hb}} - гекто-бои - battles/100
      {{t-hb:3}} - гекто-бои выровненные до 3х знаков
  * добавлена опция:
      markers/*/vehicleIcon/showSpeaker: (true|false) - показывать спикер даже
      если иконка типа танка отключена
  * удален макрос {{c:t-kb}}, используйте {{c:t-battles}}
  * исправлено короткое появление иконки танка при засвете

XVM-2.4:
  * мод адаптирован для WoT 0.7.4
  * новый прокси сервер
  * добавлена статистика по танку. Новые макросы:
      {{t-kb}}
      {{t-battles}}
      {{t-wins}}
      {{t-rating}}
      {{t-kb:4}}
      {{t-rating:3}}
      {{t-battles:4}}
      {{c:t-rating}}
      {{c:t-kb}}
      {{c:t-battles}}

XVM-2.3.1:
  * исправление ошибок релиза 2.3

XVM-2.3:
  * добавлены новые танки в расчет шансов на победу
  * исправлена ошибка модификации swf
  * wot-xvm-proxy: добавлено сжатие запросов к прокси-серверам
  * добавлены топ 100 иконок для кланов RU кластера (по версии
    http://ivanerr.ru/lt/showclansrating/)
  * переделан конфиг по умолчанию
  * редактор конфигов: https://sites.google.com/site/sirmaxwiki/xvm-editor
    (еще не все готово, но можно уже пользоваться)
  * оптимизация производительности ушей при убийстве (убирает "микрофризы")
  * сделаны отдельные настройки секции "damageText" для живых и мертвых,
    последний урон отображается с настройками из секции "dead"
  * динамическое определение максимального размера запроса в зависимости от
    пути установки игры.
  * wot-xvm-proxy: изменен протокол взаимодейсствия с swf
  * wot-xvm-proxy: проверка на повторный запуск
  * исправлены значения по умолчанию для текстовых полей, если не указаны в
    конфиге
  * иконка игрока/клана в маркерах над танками
  * добавлена опция battle/useStandardMarkers, которая позволяет использовать
    стандартные маркеры танков клиента
  * редактор: установка значений по умолчанию
  * редактор: добавлены настройки новой версии конфига
  * локализация

XVM-2.2:
  * мод адаптирован для WoT 0.7.3
  * обновлена информация о танках для расчета шансов на победу
  * возможность различных настроек для маркера типа танка во всех состояниях
  * возможность указания пустого клана для отображения иконок у игроков без клана
  * в динамическом цвете "value":0 определяет цвет для незагрузившейся статистики
  * добавлены иконки топовых кланов в конфиги по умолчанию
  * исправлена ошибка с вражеским тимкиллером
  * добавлены параметры в конфиг для настройки отдельных координат иконок
    кланов в правой стороны
  * добавлены Lite конфиги без настроек статистики игроков
  * wot-xvm-proxy: изменена иконка (спасибо Vadim M.)
  * отдельные наборы иконок кланов для каждого игрового сервера в конфиге
  * переделана папка иконок кланов
  * увеличена версия конфига: 1.2.0 => 1.3.0, из-за того, что изменена секция
    "players"
  * добавлено несколько европейских кланов
  * добавлены альтернативые прокси сервера

XVM-2.1.1:
  * исправлена ошибка - не отображались названия танков в ушах

XVM-2.1:
  * не выдавать предупреждение при отсутствующем конфиге
  * добавлены отдельные параметры для иконок игроков/кланов:
      battleLoading/clanIcon: для экрана загрузки
      statisticForm/clanIcon: для окна статистики боя (по Tab)
      playersPanel/clanIcon: для ушей
  * исправлена анимация строки здоровья
  * добавлена опция battle/removePanelsModeSwitcher для возможности отключения
    переключателя панелей
  * на экране загрузки боя поле названия танка с правой стороны сдвинуто на 5
    пикселей, чтобы не наезжало на иконки танков
  * добавлен параметр "removeSquadIcon", позволяющий отключить отображение
    иконки взвода на экране загрузки боя, в ушах и окне статистики по Tab
  * исправлена динамическая прозрачность
  * исправлены иконки игрока/клана в ушах
  * исправления в расчете шансов на победу
  * отображение шансов на победу в окне статистики по Tab (только в боях 15x15)
  * добавлены конфиги, приближенные к стандартному клиенту
  * добавлены недостающие танки в расчет шансов на победу
  * исправлена ошибка, когда не меняется иконка у мертвого вражеского танка
  * динамический цвет и прозрачность для всех элементов строки здоровья в
    любых состояниях
  * оптимизация макросов с динамическими значениями
  * отображать строку здоровья под другими элементами
  * оптимизация иконок игрока/клана
  * wot-xvm-proxy: добавлен параметр "/noauto" для отключения автоматического
    запуска игры
  * добавлен параметр "name" для текстовых полей в конфиге
  * исправлены конфиги по умолчанию
  * добавлена опция для отключения отображения версии xvm в верхнем левом
    углу экрана
  * оптимизация "ушей" и формы статистики (избавление от лагов)
  * изменен прокси сервер для EU клиента

XVM-2.0:
  * мод адаптирован для WoT 0.7.2
  * изменена модель распространения мода:
      xvm-lite - пакет без статистики игроков
      xvm-full - пакет со статистикой игроков
  * оптимизация динамического цвета
  * добавлен макрос {{level}} для отображения уровня танка
  * всегда использовать цвет для 'живых' для урона при использовании системных
    цветов
  * добавлены часы на экран загрузки боя (можно отключить в конфиге)
  * оптимизация макросов
  * улучшено качество теней
  * добавлена информация об ошибках мода во время игры
  * отдельные настройки для левой и правой панелей в battleLoading,
    statisticForm и playersPanel
  * playersPanel.swf изменен для версии 0.7.2 (пока работает только
    отключение зеркалирования иконок и прозрачность)
  * версия конфига изменена на 1.2.0. Перемещены параметры:
      rating/battleLoading => battleLoading
      rating/statisticForm => statisticForm
      rating/playersPanel => playersPanel
      battle/battleLoadingShowClock => battleLoading/showClock
      battle/playersPanelAlpha => playersPanel/alpha
      battle/playersPanelLargeWidth => playersPanel/large/width
  * настраиваемые системные цвета (секция colors/system в XVM.xvmconf)
    работает для всех элементов, кроме маркеров типа танка
  * настраиваемые форматы полей имени игрока и названия танка в ушах
  * темный цвет для мертвых или не загруженных игроков в ушах
  * настройка прозрачности иконок в ушах (параметр playersPanel/iconAlpha)
  * изменение размера полей в "ушах"
  * автоматический выбор самого быстрого сервера (в данный момент работает
    только для китайских серверов)
  * добавлены наборы иконок (секция конфига "iconset")
  * добавлены иконки игрока/клана
  * добавлен расчет шансов на победу
  * много других исправлений

XVM-1.7:
  * Объединены конфиги в XVM.xvmconf (с поддержкой OTMData.xml)
  * Увеличена версия конфига до 1.1.0 (с обратной совместимостью)
  * Конфиг по умолчанию зашит в код
  * Добавлена папка с примерами конфигов: \xvm-doc\samples
  * Оптимизировано испольование конфига (предотвращение фризов)
  * Оптимизирована работа с текстовыми полями
  * Расширенное оповещение об ошибках в конфиге на экране загрузки боя
  * Увеличена ширина полей в BattleLoading и StatisticForm
  * Исправлена ошибка с бесконечным циклом в случае слишком маленьких ушей
  * Исправлена обрезка имен игроков в ушах
  * Добавлены новые макросы для динамического цвета в маркерах над танком:
    {{c:hp}}, {{c:hp-ratio}}
  * Добавлены макросы для динамической прозрачности:
    {{a:hp}}, {{a:hp-ratio}}
  * Исправлен JSON парсер. Теперь в 10 раз бвстрее чем встроенный в игру
  * wot-xvm-proxy: добавлено автоматическое определение версии игры:
    RU, EU, US, CN1
  * wot-xvm-proxy: добавлены аргументы командной строки /? и /help для
    отображения информации по использованию
  * wot-xvm-proxy: добавлен аргумент командной строки
    /server=(RU|EU|US|CN1|CN2) для принудительного указания версии игры
  * wot-xvm-proxy: добавлена поддержка китайских серверов
  * wot-xvm-proxy: добавлена расширенная информация при запуске с /debug
  * исправлена ошибка обработки пустых данных статистики
  * исправлено начальное положение иконки танка
  * исправлены ширина и положение полей на экране загрузки боя
  * исправлен цвет иконок танков
  * много других ошибок исправлено

XVM-1.6:
  * оптимизация скорости работы
  * изменена сетка координат
  * исправлена проверка линка .stat при запуске
  * исправлено смещение имен пользователей в ушах
  * исправлена прозрачность панелей (playersPanelAlpha = 0)
  * правильная обрезка имен пользователей в широких ушах с выключенной статистикой.
  * исправлено отображение 'null' когда данные не доступны
  * исправлено положение уровня танка при отключенной зеркальности
  * добавлена возможность загрузки данных по противникам в "тумане войны" (experimental).
  * исправлены некоторые другие ошибки

XVM-1.5:
  * исправлено воспроизведение реплеев с пробелами в пути
  * исправлено затухание урона в строке жизни
  * настройка прозрачности ушей
  * настройка ширины имени пользователя в широком режиме ушей
  * исправлены некоторые другие ошибки

XVM-1.4:
  * переход на работу исключительно по id
  * в маркерах в infoText добавлены макросы {{kb}}, {{battles}}, {{wins}}, {{eff}}, {{rating}}
  * добавлено форматирование статистики
  * добавлены макросы для динамических цветов: {{c:eff}}, {{c:rating}}, {{c:kb}}
  * изменен параметр конфигурации:
      rating/playersPanel/colorizeMiddle -> rating/playersPanel/middleColor
  * добавлена секция 'rating/colors' в конфиг для установки граничных значений и
    значений цвета для динамических цветов
  * исправлено отключение посмертной панели
  * добавлено оповещение о новой версии на экране загрузки боя
  * переименован параметр конфига и инвертировано поведение для предотвращения ошибок:
      battle/disableMirroredVehicleIcons -> battle/mirroredVehicleIcons
  * принудительная загрузка статистики через 1 сек (для боев 12x12 или "тумана войны")
  * добавлены макросы статистики: {kb:3}}, {{rating:3}}, {{eff:4}} - могут быть полезны для
    выравнивания колонок при использовании моноширинных шрифтов

XVM-1.3:
  * упрощенная установка. Добавлен wot-xvm-proxy.exe.
  * возможность работы как по id, так и по никам.

XVM-1.2:
  * добавлены комментарии в конфигурационный файл XVM.xvmconf
  * смена прокси-сервера и протокола работы
  * переход с XML на JSON (За исключением устаревшего OTMData.xml)

XVM-1.1:
  * исправлен цвет строки жизни союзника при использовании системного цвета

XVM-1.0:
  Первый релиз.
